/**
 * 查询电子社保卡签发号
 * @param {string} idcard 身份证号
 * @param {function} callback 成功
 */
function queryEsscSignNo(idcard, callback) {
  $('input').blur();
  var body = {
    handler: 'getSignNoHandler',
    sub: {
      identityNum: idcard,
    },
  };
  rs_networkRequest({
    url: orignalUrl,
    data: body,
    isEncrypt: true,
    success: function(data) {
      if (!data || !data.result) {
        callback && callback({ msg: '网络异常', code: -1 });
        return;
      }
      var result = data.result;
      if (result.code == '1000') {
        callback && callback({ data: result.data, code: 1000 });
      } else {
        callback && callback({ msg: result.msg || '未知错误', code: Number(result.code) });
      }
    },
    fail: function(data) {
      callback && callback({ msg: data.msg || '网络异常', code: data.code ? Number(data.code) : -1 });
    },
  });
}
