// 命名空间
var Namespace = {};
Namespace.register = function(path) {
    var arr = path.split('.');
    var ns = '';
    for (var i = 0; i < arr.length; i++) {
        if (i > 0) ns += ".";
        ns += arr[i];
        eval('if(typeof(' + ns + ') == "undefined") ' + ns + ' = new Object();');
    }
};
Namespace.register('topmobi.widget');

var topmobiAsdScroll = function(options) {
    var defaults = $.extend({
        // 滚动的元素
        scrollable: '.scroll-wrap'
    }, options);
    // 可滚动的元素
    var $scrollable = $(defaults.scrollable);
    var $scrollContainer = $scrollable.parent();
    // 保存开始按下的位置
    var start;
    // 保存结束时的位置
    var end;
    // 开始触摸的时间
    var startTime;
    // 缓存 translate
    var translate = 0;
    // 记录移动点
    var points = [];

    /**
     * set transition
     * @param $target
     * @param time
     * @returns {*}
     * @private
     */
    var _setTransition = function($target, time) {
        return $target.css({
            '-webkit-transition': 'all ' + time + 's',
            'transition': 'all ' + time + 's'
        });
    };

    /**
     * set translate
     * @param $target
     * @param diff
     * @returns {*}
     * @private
     */
    var _setTranslate = function($target, diff) {
        return $target.css({
            '-webkit-transform': 'translate3d(0, ' + diff + 'px, 0)',
            'transform': 'translate3d(0, ' + diff + 'px, 0)'
        });
    };

    var _stop = function(diff) {
        translate += diff;

        var max = 0;
        var min = -($scrollable.height() - $scrollContainer.height());

        if (translate > max) {
            translate = max;
        }
        if (translate < min) {
            translate = min;
        }

        _setTransition($scrollable, .3);
        _setTranslate($scrollable, translate);
    };

    var _start = function(pageY){
        start = pageY;
        startTime = new Date().getTime();
    };

    var _move = function(pageY) {
        end = pageY;
        var diff = end - start;

        _setTransition($scrollable, 0);
        _setTranslate($scrollable, (translate + diff));
        startTime = new Date().getTime();
        points.push({time: startTime, y: end});
        if (points.length > 40) {
            points.shift();
        }
    };

    var _end = function(pageY) {
        if (!start) return;

        /**
         * 思路:
         * 0. touchstart 记录按下的点和时间
         * 1. touchmove 移动时记录前 40个经过的点和时间
         * 2. touchend 松开手时, 记录该点和时间. 如果松开手时的时间, 距离上一次 move时的时间超过 100ms, 那么认为停止了, 不执行惯性滑动
         *    如果间隔时间在 100ms 内, 查找 100ms 内最近的那个点, 和松开手时的那个点, 计算距离和时间差, 算出速度
         *    速度乘以惯性滑动的时间, 例如 300ms, 计算出应该滑动的距离
         */

        var endTime = new Date().getTime();
        end = pageY;

        // 如果上次时间距离松开手的时间超过 100ms, 则停止了, 没有惯性滑动
        if (endTime - startTime > 100) {
            _stop(end - start);
        } else {
            var endPos = points.length - 1;
            var startPos = endPos;
            for (var i = endPos; i > 0 && startTime - points[i].time < 100; i--) {
                startPos = i;
            }

            if (startPos !== endPos) {
                var ep = points[endPos];
                var sp = points[startPos];
                var t = ep.time - sp.time;
                var s = ep.y - sp.y;
                var v = s / t; // 出手时的速度
                var diff = v * 150 + (end - start); // 滑行 150ms,这里直接影响“灵敏度”
                _stop(diff);
            } else {
                _stop(0);
            }
        }
    };

    $scrollContainer
        .off()
        .on('touchstart', function(e) {
            _start(e.changedTouches[0].pageY);
        })
        .on('touchmove', function(e) {
            _move(e.changedTouches[0].pageY);
            e.preventDefault();
        })
        .on('touchend', function(e) {
            _end(e.changedTouches[0].pageY);
        });
};

topmobi.widget.actionSheetDialog = function(options) {

    var _this = this;
    // 空函数
    var noop = function() {};
    // 唯一性
    if ($('.topmobi-actionSheetDialog').length > 0) {
        this.remove = noop;
        this.setItemClick = noop;
        this.setCancelClick = noop;
        return;
    }

    var opts = $.extend({
        data: ['1', '2', '3'],
        title: '标题'
    }, options);
    var len = opts.data.length;
    // 基本结构
    var $mask = $('<div class="topmobi-mask topmobi-fadeIn"></div>');
    var widget = '';
    widget += '<div class="topmobi-actionSheetDialog topmobi-slideInUp">';
    widget +=   '<div class="topmobi-asd-body">';
    widget +=     '<div class="topmobi-asd-item topmobi-asd-title">' + opts.title + '</div>';
    widget +=     '<div class="topmobi-asd-content">';
    widget +=     '</div>';
    widget +=   '</div>';
    widget +=   '<div class="topmobi-asd-footer">';
    widget +=     '<div class="topmobi-asd-item topmobi-asd-cancel">取消</div>';
    widget +=   '</div>';
    widget += '</div>';
    // 动态创建结构
    var $widget = $(widget);
    var $content = $widget.find('.topmobi-asd-content');
    var items = '';
    for (var i = 0; i < len; i++) {
        items += '<div class="topmobi-asd-item">' + opts.data[i] + '</div>';
    }
    if (len <= 5) {
        $content.append(items);
    } else {
        $content.append('<div class="topmobi-asd-scroll-wrap">' + items + '</div>');
        $content.height(45 * 5);
    }
    $('body').append($mask).append($widget);
    if (len > 5) {
        new topmobiAsdScroll({scrollable: '.topmobi-asd-scroll-wrap'});
    }

    /**
     * 移除控件
     */
    this.remove = function(callback) {
        // 防止二次调用导致报错
        _this.remove = noop;

        $mask.addClass('topmobi-fadeOut');
        $widget
            .addClass('topmobi-slideOutDown')
            .on('animationend webkitAnimationEnd', function() {
                $mask.remove();
                $widget.remove();
                callback && callback();
            });
    };

    /**
     * 控件项点击事件
     */
    this.setItemClick = function(callback) {
    		$("input").blur();
        var $item = $content.find('.topmobi-asd-item');
        $item.on('touchend', function(e) {
            // 阻止穿透
            e.preventDefault();
        });
        $item.on('tap', function() {
            var index = $(this).index();
            callback && callback(index);
            /*_this.remove(function() {
                callback && callback(index);
            });*/
        });
    };

    /**
     * 取消按钮点击事件
     * @param {function} callback
     */
    this.setCancelClick = function(callback) {
        $('.topmobi-asd-cancel').on('touchend', function(e) {
            // 阻止穿透
            e.preventDefault();
        });
        $('.topmobi-asd-cancel').on('tap', function() {
            _this.remove(function() {
                callback && callback();
            });
        });
    };

    $mask.on('touchend', function(e) {
        // 阻止穿透
        e.preventDefault();
    });
    $mask.on('tap', function(e) {
        _this.remove();
    });
    $mask.on('touchmove', function(e) {
        e.preventDefault();
    });
    $widget.on('touchmove', function(e) {
        e.preventDefault();
    });

    this.setCancelClick(noop);
};

topmobi.widget.ActionSheetDialog = topmobi.widget.actionSheetDialog;
