Zepto(function($) {
    //var listViewImg; // 图片新闻列表控件
    var listViewAnn; // 通知公告列表控件
   
    var annNewsId = new Array(0); // 存储通知公告id信息

    var isFirstAnn = true; // 用于判断是否为第一次请求通知公告
    var reqNewsFirstNum = 10; // 第一次请求新闻的数量
    var reqNewsNum = 10; // 上拉加载请求一次新闻的数量

   
    var reqAnnCount = 0; // 记录请求通知公告的次数
    var isAnnPullDown = false; // 是否为通知公告上拉加载

    // 返回
    $('.back_icon').on('tap', function() {
        topmobi.native.common.closeWindow(0);
    });
   var init = function() {
		requestAnnNews();
	};


    /**
     * 通知公告下拉刷新，上拉加载
     */
    var prfAnn = new chui.widget.pullRefresh('#prfAnn', {'pullUpState':true, 'pullDownState':true});
    // 通知公告设置下拉刷新事件
    prfAnn.pullDown(function() {
        isAnnPullDown = true; // 将下拉刷新设为true，请求数据进入下拉刷新条件
        reqAnnCount = 0; // 下拉刷新重置列表控件，重新请求数据绘制列表控件
        requestAnnNews();
    });
    // 图片新闻设置上拉加载更多事件
    prfAnn.pullUp(function() {
        requestAnnNews();
    });



    /**
     * 通知公告数据请求
     */
    function requestAnnNews() {
        var start, offset;
        if (reqAnnCount == 0) {
            // 第一次请求数据最好占满屏幕，所以单独设定数据
            start = 0;
            offset = reqNewsFirstNum;
        } else {
            // 上拉加载请求数据固定
            start = reqNewsFirstNum + reqNewsNum * (reqAnnCount - 1);
            offset = reqNewsNum;
        }
        var dataJsonAnn = {
            "handler": "touristGovermentNewsHandler",
            "sub": {
                "newsType": "general_news",
                "start": start,
                "offset": offset
            }
        };
        var obj = {
            url: touristUrl,
            data: dataJsonAnn,
            success: function(data) {
                // 添加code = '4000' 的处理
                var code = data.result.code;
                switch (code) {
                    case '1000':
                        // 以前的主要逻辑继续执行,在switch语句后面
                        break;
                    case '4000':
                        topmobi.native.common.showMsg('无更多数据', 'middle', 1500);
                        prfAnn.refresh();
                        return false;
                }

                var annArray = data.result.data;
                var dataAnn = new Array(0);
                (function() {
                    for (var j = 0; j < annArray.length; j++) {
                        var annArrayItem = {
                            newsFigureUrl: annArray[j].newsFigureUrl,
                            newsTitle: annArray[j].newsTitle,
                            newsCrtime: formatTimeStamp(annArray[j].newsCrtime),
                            newsId: annArray[j].newsId
                        };
                        dataAnn.push(annArrayItem);
                    }
                })();

                if (reqAnnCount == 0 && isAnnPullDown) {
                    // 下拉刷新时先清空id，然后再添加
                    annNewsId = [];
                    for (var indexDown in dataAnn) {
                        annNewsId.push(dataAnn[indexDown].newsId);
                    }
                    // setData()方法之后必须调用update()方法
                    listViewAnn.setData(dataAnn);
                    listViewAnn.update();
                    // 下拉刷新重置为false
                    isAnnPullDown = false;
                } else if (reqAnnCount == 0) {
                    // 第一次图片新闻数据请求
                    for (var indexFirst in dataAnn) {
                        // 第一次请求数组时直接添加id
                        annNewsId.push(dataAnn[indexFirst].newsId);
                    }

                    // 第一次通知公告数据请求
                    var domPrfAnn = '';
                    domPrfAnn += '<div id="listAnn" class="ch_ui_list list_wrapper">';
                    domPrfAnn += '<ul class="list"></ul>';
                    domPrfAnn += '</div>';
                    prfAnn.addContent(domPrfAnn);

                    listViewAnn = new ch.widget.CListView("#listAnn", dataAnn, "ann-item", {pullToRefresh: false}, "ch_ui_list");
                } else {
                    // 上拉加载
                    if (dataAnn.length == 0) {
                        topmobi.native.common.showMsg('无更多数据', 'middle', 1500);
                    }
                    for (var indexUp in dataAnn) {
                        // 第一次请求数组时直接添加id
                        annNewsId.push(dataAnn[indexUp].newsId);
                    }

                    for (var i = 0; i < dataAnn.length; i++) {
                        // addItem(arg)和addItemToHead(arg)方法，参数都是一个json对象，不是数组
                        var itemData = {
                            newsTitle: dataAnn[i].newsTitle,
                            newsCrtime: dataAnn[i].newsCrtime
                        };
                        listViewAnn.addItem(itemData);
                    }
                }

                reqAnnCount++;
                registerListener(false);
                prfAnn.refresh();
            },
            fail: function() {
                topmobi.native.common.showMsg('网络异常', 'middle', 1500);
                prfAnn.refresh();
            }
        };
        rs_networkRequest(obj);
    }

    /**
     * 给列表添加点击事件
     */
    function registerListener(isListViewImg) {
            listViewAnn.onItemClick(function(index) {
                var obj = {
                    action: {
                        android: 'gov.my.socialsecurity.htmlactivity.announce.NewsDetailActivity',
                        ios: "CHBaseWebViewController"
                    },
                    windowType: 0,
                    params: {
                        info: '',
                        html:'html_announce/newsDetail.html'
                    }
                };
                topmobi.native.cache.putSharedValue('news', 'newsId', annNewsId[index]);
                topmobi.native.cache.putSharedValue('news', 'newsType', 1);
                topmobi.native.common.openWindow(obj);
            });
    }
    init();
});