/**
 * @author Youtiao, 2016/6/27
 */
var $baseSalary = $('.base-salary');
var $paymentBase = $('.payment-base');
// 计算条件
var condition = {
    suitYear: 2013,
    endowment: {
        maxBase: 5000,
        minBase: 2766,
        personalPercent: 8,
        unitPercent: 19
    },
//    medical: {
//        maxBase: 5000,
//        minBase: 2766,
//        personalPercent: 2,
//        unitPercent: 7
//    },
    unemployment: {
        maxBase: 5000,
        minBase: 2766,
        personalPercent: 0.5,
        unitPercent: 1.5
    },
//    birth: {
//        maxBase: 5000,
//        minBase: 2766,
//        unitPercent: 0.5
//    },
    injury: {
        maxBase: 5000,
        minBase: 2766,
        unitPercent: 0.7
    }
};

Zepto(function($) {
    $(".content-scroll, .tip-container").css("top","44px");

    requestCondition();

    /**
     * 请求计算条件
     */
    function requestCondition() {
        // var touristUrl = 'http://172.17.122.201:8500/renshemobile/tourist/native';
        // var touristUrl = 'http://118.123.227.15:8082/renshemobile/tourist/native';
        var data = {
            "handler": "touristGetSociSecuPercentHandler",
            "sub":{
                "mode": "1"
            }
        };
        var obj = {
            url: touristUrl,
            data: data,
            success: function(success) {
                var result = success.result;
                switch (result.code) {
                    case '1000':
                        // 把服务器返回的结果格式化为我预定义的结果
                        var maxBase, minBase, personalPercent, objPercent;
                        for (var i = 0; i < result.data.length; i++) {
                            condition.suitYear = result.data[0].suit_year;
                            maxBase = result.data[i].max_base || 9999999999;
                            minBase = result.data[i].min_base || 0;
                            unitPercent = result.data[i].unit_percent;
                            personalPercent = result.data[i].personal_percent;
                            objPercent = {
                                maxBase: maxBase,
                                minBase: minBase,
                                unitPercent: doPercentStrToFloat(unitPercent),
                                personalPercent: personalPercent ? doPercentStrToFloat(personalPercent) : ''
                            };
                            switch (result.data[i].security_type) {
                                case 'endowment':
                                    condition.endowment = objPercent;
                                    break;
//                                case 'medical':
//                                    condition.medical = objPercent;
//                                    break;
                                case 'unemployed':
                                   condition.unemployment = objPercent;
                                   break;
//                                case 'maternity':
//                                   condition.birth = objPercent;
//                                   break;
                                case 'injury':
                                   condition.injury = objPercent;
                                   break;
                            }
                        }
                        // 根据预定义的记过计算
                        doCondition(condition);
                        break;
                    case '4000':
                    default:
                        showNoData();
                }
            },
            fail: function() {
                showNoNet();
            }
        };
        rs_networkRequest(obj);
    }

    /**
     * 计算条件结果处理
     * @param condition {object}
     */
    function doCondition(condition) {
        // 缴费比例
        var $companyEndowment = $('.company-endowment');
        var $personalEndowment = $('.personal-endowment');
//      var $companyMedical = $('.company-medical');
//      var $personalMedical = $('.personal-medical');
        var $companyUnemployment = $('.company-unemployment');
        var $personalUnemployment = $('.personal-unemployment');
//      var $companyBirth = $('.company-birth');
        var $companyInjury = $('.company-injury');
        // 缴费额
        var $companyEndowment2 = $('.company-endowment-result');
        var $personalEndowment2 = $('.personal-endowment-result');
//      var $companyMedical2 = $('.company-medical-result');
//      var $personalMedical2 = $('.personal-medical-result');
        var $companyUnemployment2 = $('.company-unemployment-result');
        var $personalUnemployment2 = $('.personal-unemployment-result');
//      var $companyBirth2 = $('.company-birth-result');
        var $companyInjury2 = $('.company-injury-result');
        
        // 年缴费额
        var $companyEndowment3 = $('.company-endowment-result-year');
        var $personalEndowment3 = $('.personal-endowment-result-year');
//      var $companyMedical3 = $('.company-medical-result-year');
//      var $personalMedical3 = $('.personal-medical-result-year');
        var $companyUnemployment3 = $('.company-unemployment-result-year');
        var $personalUnemployment3 = $('.personal-unemployment-result-year');
//        var $companyBirth3 = $('.company-birth-result-year');
        var $companyInjury3 = $('.company-injury-result-year');
        
        // 年份和缴费比例
        $('.time-year').html(condition.suitYear);
        $companyEndowment.html(condition.endowment.unitPercent + '%');
        $personalEndowment.html(condition.endowment.personalPercent + '%');
//      $companyMedical.html(condition.medical.unitPercent + '%');
//      $personalMedical.html(condition.medical.personalPercent + '%');
        $companyUnemployment.html(condition.unemployment.unitPercent + '%');
        $personalUnemployment.html(condition.unemployment.personalPercent + '%');
//      $companyBirth.html(condition.birth.unitPercent + '%');
        $companyInjury.html(condition.injury.unitPercent + '%');
        // 基本工资输入框添加onkeyup监听事件
        $baseSalary.attr('onkeyup', 'onkeyupAttr()');
        $('.button-calculate').on('tap', function() {
            var baseSalary = $baseSalary.val();
            if (checkBaseSalary(baseSalary)) {
                $(this).html('重新计算');
                var calc = calculateResult;
                $companyEndowment2.html(calc($paymentBase.eq(0), condition.endowment.unitPercent));
                $personalEndowment2.html(calc($paymentBase.eq(0), condition.endowment.personalPercent));
//              $companyMedical2.html(calc($paymentBase.eq(1), condition.medical.unitPercent));
//              $personalMedical2.html(calc($paymentBase.eq(1), condition.medical.personalPercent));
                $companyUnemployment2.html(calc($paymentBase.eq(1), condition.unemployment.unitPercent));
                $personalUnemployment2.html(calc($paymentBase.eq(1), condition.unemployment.personalPercent));
//              $companyBirth2.html(calc($paymentBase.eq(3), condition.birth.unitPercent));
                $companyInjury2.html(calc($paymentBase.eq(2), condition.injury.unitPercent));
                
                var tempNum1 = parseFloat($companyEndowment2.html()*12);
                $companyEndowment3.html(parseFloat(tempNum1.toFixed(2)));
                
                var tempNum2 = parseFloat($personalEndowment2.html()*12);
                $personalEndowment3.html(parseFloat(tempNum2.toFixed(2)));
                
//              var tempNum3 = parseFloat($companyMedical2.html()*12);
//              $companyMedical3.html(parseFloat(tempNum3.toFixed(2)));
//              
//              var tempNum4 = parseFloat($personalMedical2.html()*12);
//              $personalMedical3.html(parseFloat(tempNum4.toFixed(2)));
                
                var tempNum5 = parseFloat($companyUnemployment2.html()*12);
                $companyUnemployment3.html(parseFloat(tempNum5.toFixed(2)));
                
                var tempNum6 = parseFloat($personalUnemployment2.html()*12);
                $personalUnemployment3.html(parseFloat(tempNum6.toFixed(2)));
                
//              var tempNum7 = parseFloat($companyBirth2.html()*12);
//              $companyBirth3.html(parseFloat(tempNum7.toFixed(2)));
//              
                var tempNum8 = parseFloat($companyInjury2.html()*12);
                $companyInjury3.html(parseFloat(tempNum8.toFixed(2)));
               
           //去掉医疗和生育保险 20200703
//                var companySum = parseFloat($companyEndowment2.html())
//                    + parseFloat($companyMedical2.html())
//                    + parseFloat($companyUnemployment2.html())
//                    + parseFloat($companyBirth2.html())
//                    + parseFloat($companyInjury2.html());
//               var personalSum = parseFloat($personalEndowment2.html())
//                    + parseFloat($personalMedical2.html())
//                    + parseFloat($personalUnemployment2.html());

                var companySum = parseFloat($companyEndowment2.html())
                    + parseFloat($companyUnemployment2.html())
                    + parseFloat($companyInjury2.html());

                var personalSum = parseFloat($personalEndowment2.html())
                      + parseFloat($personalUnemployment2.html());

                companySum = parseFloat(companySum.toFixed(2));
                personalSum = parseFloat(personalSum.toFixed(2));
                var paymentSum = parseFloat((companySum + personalSum).toFixed(2));
                $('.company-sum').html(companySum);
                $('.personal-sum').html(personalSum);
                $('.payment-sum').html(paymentSum);
                
                $('.company-sum-year').html(parseFloat(companySum*12).toFixed(2));
                $('.personal-sum-year').html(parseFloat(personalSum*12).toFixed(2));
                $('.payment-sum-year').html(parseFloat(paymentSum*12).toFixed(2));
            }
        });
    }

    /**
     * 验证基本工资
     * @param input {string}
     * @returns {boolean}
     */
    function checkBaseSalary(input) {
        if (!input) {
            topmobi.native.common.showMsg('请输入月工资', 'middle', 1500);
            return false;
        } else if (!input.match(/^\d{1,10}$/)) {
            topmobi.native.common.showMsg('月工资格式不正确，请输入十位数以内的整数', 'middle', 1500);
            return false;
        } else {
            return true;
        }
    }

    /**
     * 计算缴费额
     * @param $paymentBase {object} 缴费基数DOM节点
     * @param percent {number} 缴费比例，例如40、50。没有%，也不是小数
     * @returns {number}
     */
    function calculateResult($paymentBase, percent) {
        var paymentBase = parseInt($paymentBase.html());
        var result = paymentBase * percent / 100;
        return parseFloat(result.toFixed(2));
    }

    /**
     * 把string类型的百分比装换为Float类型
     * @param strPercent {string}
     * @returns {number}
     */
    function doPercentStrToFloat(strPercent) {
        var percent = strPercent.replace(/%/g, '');
        return parseFloat(percent);
    }
});

/**
 * 基本工资输入框onkeyup监听事件（全局函数）
 */
function onkeyupAttr() {
    doSalaryToPayment($paymentBase.eq(0), condition.endowment);
//    doSalaryToPayment($paymentBase.eq(1), condition.medical);
    doSalaryToPayment($paymentBase.eq(1), condition.unemployment);
//    doSalaryToPayment($paymentBase.eq(3), condition.birth);
    doSalaryToPayment($paymentBase.eq(2), condition.injury);

    /**
     * 把基本工资装换为缴费基数
     * @param $element {object} 具体险种缴费基数DOM节点
     * @param insurance {object} 具体险种的条件对象
     */
    function doSalaryToPayment($element, insurance) {
        var baseSalary = $baseSalary.val();
        if (baseSalary.match(/^\d{1,10}$/)) {
            if (baseSalary < insurance.minBase) {
                $element.html(insurance.minBase)
            } else if (baseSalary > insurance.maxBase) {
                $element.html(insurance.maxBase);
            } else {
                $element.html(baseSalary);
            }
        }
    }
}