/**
 * @author Youtiao, 2016/6/27
 */
Zepto(function($) {
    $(".content-scroll, .tip-container").css("top","44px");

    // 缴费比例
    var $personalEndowment = $('.personal-endowment');
//    var $personalMedical = $('.personal-medical');
    // 缴费基数
    var $paymentBase = $('.payment-base');
    // 缴费额
    var $personalEndowment2 = $('.personal-endowment-result');
//    var $personalMedical2 = $('.personal-medical-result');
   // 年缴费额
    var $personalEndowment3 = $('.personal-endowment-result-year');
//    var $personalMedical3 = $('.personal-medical-result-year');
//    var $personalTotal3 = $('.personal-total-result-year');
    
    // 计算条件
    var condition = {
        suitYear: 2013,
        averageSalaryProvince: 6000,
        averageSalaryCity: 4000,
        endowment: {
            personalPercent: 8
        },
        medical: {
            personalPercent: 2
        }
    };
    requestCondition();

    /**
     * 请求计算条件
     */
    function requestCondition() {
        var data = {
            "handler": "touristGetSociSecuPercentHandler",
            "sub":{
                "mode": "0"
            }
        };
        var obj = {
            url: touristUrl,
            data: data,
            success: function(success) {
                var result = success.result;
                switch (result.code) {
                    case '1000':
                        // 把服务器返回的结果格式化为我预定义的结果
                        var personalPercent, objPercent;
                        for (var i = 0; i < result.data.length; i++) {
                            condition.suitYear = result.data[0].suit_year;
                            personalPercent = result.data[i].personal_percent;
                            objPercent = {
                                personalPercent: doPercentStrToFloat(personalPercent)
                            };
                            switch (result.data[i].security_type) {
                                case 'endowment':
                                    condition.endowment = objPercent;
                                    // 上一年的省平均工资，养老保险中
                                    condition.averageSalaryProvince = result.data[i].pro_average_pay;
                                    break;
//                                case 'medical':
//                                    condition.medical = objPercent;
//                                    // 上上年的市平均工资，医疗保险中
//                                    condition.averageSalaryCity = result.data[i].city_average_pay;
//                                    break;
                            }
                        }
                        // 根据预定义的记过计算
                        doCondition(condition);
                        break;
                    case '4000':
                    default:
                        showNoData();
                }
            },
            fail: function() {
                showNoNet();
            }
        };
        rs_networkRequest(obj);
    }

    // doCondition(condition);
    /**
     * 计算条件结果处理
     * @param condition {object}
     */
    function doCondition(condition) {
        fillCondition(condition);
        $('.input-wrap').on('tap', function() {
            var options = {
                data: ['45%', '50%', '60%', '70%', '80%', '90%', '100%'],
                title: '请选择养老保险缴费档次',
                duration: 300
            };
            var actionSheet = new topmobi.widget.actionSheetDialog(options);
            actionSheet.setItemClick(function(index) {
                // 修改缴费档次
                $('.input-wrap-text').html(options.data[index]);
                fillCondition(condition, options.data[index]);
                // 计算缴费额
                var calc = calculateResult;
                $personalEndowment2.html(calc($paymentBase.eq(0), condition.endowment.personalPercent));
//                $personalMedical2.html(calc($paymentBase.eq(1), condition.medical.personalPercent));
                var personalEndowmentNum = parseFloat($personalEndowment2.html()*12);
                $personalEndowment3.html(parseFloat(personalEndowmentNum.toFixed(2)));
//                var personalMedicalNum = parseFloat($personalMedical2.html()*12);
//                $personalMedical3.html(parseFloat(personalMedicalNum.toFixed(2)));
                
//                var personalSum = parseFloat($personalEndowment2.html())
//                    + parseFloat($personalMedical2.html());
//                personalSum = parseFloat(personalSum.toFixed(2));
//                $('.personal-sum').html(personalSum);
//
//                var personalYearSum = parseFloat($('.personal-sum').html()*12);
//                personalYearSum = parseFloat(personalYearSum.toFixed(2));
//                $personalTotal3.html(personalYearSum);
                actionSheet.remove();
            });
        });

    }

    /**
     * 根据计算条件和缴费档次填充表格
     * @param condition {object}
     * @param paymentLevel {string} 缴费档次，例如"40%"
     */
    function fillCondition(condition, paymentLevel) {
        $('.time-year').html(condition.suitYear);
        $('.time-year-provice').html(condition.suitYear - 1);
        $('.time-year-city').html(condition.suitYear - 2);
        $('.salary-average-province').html(condition.averageSalaryProvince);
        $('.salary-average-city').html(condition.averageSalaryCity);
        $personalEndowment.html(condition.endowment.personalPercent + '%');
//        $personalMedical.html(condition.medical.personalPercent + '%');
        if (paymentLevel != undefined) {
            var paymentBaseEndowment = condition.averageSalaryProvince * doPercentStrToFloat(paymentLevel) / 100;
            // 医疗保险缴费比例必须是100%
         //   var paymentBaseMedical = condition.averageSalaryCity;
            $paymentBase.eq(0).html(Math.ceil(paymentBaseEndowment));
//            $paymentBase.eq(1).html(Math.ceil(paymentBaseMedical));
        }
    }

    /**
     * 计算缴费额
     * @param $paymentBase {object} 缴费基数DOM节点
     * @param percent {number} 缴费比例，例如40、50。没有%，也不是小数
     * @returns {number}
     */
    function calculateResult($paymentBase, percent) {
        var paymentBase = parseInt($paymentBase.html());
        var result = paymentBase * percent / 100;
        return parseFloat(result.toFixed(2));
    }

    /**
     * 把string类型的百分比装换为Float类型
     * @param strPercent {string}
     * @returns {number}
     */
    function doPercentStrToFloat(strPercent) {
        var percent = strPercent.replace(/%/g, '');
        return parseFloat(percent);
    }
});