var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 10; // 上拉加载请求依次的数量

var arrNewsId = new Array(0); // 存储新闻id信息
var reqCount = 0; // 记录请求次数

$(".pull_wrapper, .tip-container").css("top","44px");
// 返回
$(".back_icon").on("tap",function(){
    topmobi.native.common.closeWindow(0);
});

// 上拉加载，下拉刷新控件
var prf = new chui.widget.pullRefresh('#pRefresh', {'pullUpState':true, 'pullDownState':true});
// 列表控件
var listView;
// 第一次请求
requestFirst();
// 下拉刷新
prf.pullDown(function() {
    reqCount = 0;
    requestRefresh();
});
// 上拉加载
prf.pullUp(function() {
    requestMore();
});

/**
 * 第一次请求
 */
function requestFirst() {
    var data = {
        'handler': 'touristGovermentNewsHandler',
        'sub': {
            "newsType": "JobInfo",
            "start": 0,
            "offset": NUM_FIRST_REQ
        }
    };
    var obj = {
        url: touristUrl,
        data: data,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    var arrDataOptimized = new Array(0);
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrNewsId.push(arrData[i].newsId);
                        var item = {
                            newsTitle: arrData[i].newsTitle,
                            newsCrtime: formatTimeStamp(arrData[i].newsCrtime)
                        };
                        arrDataOptimized.push(item);
                    }

                    var DOMPrf = '<div id="listView" class="ch_ui_list list_wrapper">';
                    DOMPrf += '<ul class="list"></ul>';
                    DOMPrf += '</div>';
                    prf.addContent(DOMPrf);
                    // 列表控件
                    listView = new ch.widget.CListView("#listView", arrDataOptimized, "list-item", {pullToRefresh: false}, "ch_ui_list");

                    reqCount ++;
                    paintHead();
                    registerListener();
                    break;
                case '4000':
                    showNoData();
                    break;
            }
            prf.refresh();
        },
        fail: function() {
            showNoNet();
            prf.refresh();
        }
    };
    rs_networkRequest(obj);
}

/**
 * 加载更多
 */
function requestMore() {
    var data = {
        'handler': 'touristGovermentNewsHandler',
        'sub': {
            "newsType": "JobInfo",
            "start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            "offset": NUM_REQ
        }
    };
    var obj = {
        url: touristUrl,
        data: data,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrNewsId.push(arrData[i].newsId);
                        var item = {
                            newsTitle: arrData[i].newsTitle,
                            newsCrtime: formatTimeStamp(arrData[i].newsCrtime)
                        };
                        listView.addItem(item);
                    }

                    reqCount ++;
                    paintHead();
                    registerListener();
                    break;
                case '4000':
                    topmobi.native.common.showMsg('无更多数据', 'middle', 1500);
                    break;
            }
            prf.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            prf.refresh();
        }
    };
    rs_networkRequest(obj);
}

/**
 * 下拉刷新
 */
function requestRefresh() {
    var data = {
        'handler': 'touristGovermentNewsHandler',
        'sub': {
            "newsType": "JobInfo",
            "start": 0,
            "offset": NUM_FIRST_REQ
        }
    };
    var obj = {
        url: touristUrl,
        data: data,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    var arrDataOptimized = new Array(0);
                    // 清空新闻id数据
                    arrNewsId = [];
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrNewsId.push(arrData[i].newsId);
                        var item = {
                            newsTitle: arrData[i].newsTitle,
                            newsCrtime: formatTimeStamp(arrData[i].newsCrtime)
                        };
                        arrDataOptimized.push(item);
                    }
                    listView.setData(arrDataOptimized);
                    listView.update();

                    reqCount ++;
                    paintHead();
                    registerListener();
                    break;
                case '4000':
                    showNoData();
                    break;
            }
            prf.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            prf.refresh();
        }
    };
    rs_networkRequest(obj);
}

/**
 * 为列表渲染头部颜色条
 */
function paintHead() {
    var $listHead = $('.list-head');
    var i = 0;
    var length = $listHead.length;
    for (i; i < length; i++) {
        switch (i % 4) {
            case 1:
                $listHead.eq(i).addClass('green-head');
                break;
            case 2:
                $listHead.eq(i).addClass('yellow-head');
                break;
            case 3:
                $listHead.eq(i).addClass('red-head');
                break;
            case 0:
                $listHead.eq(i).addClass('blue-head');
                break;
        }
    }
}
/**
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
        var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.announce.NewsDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                info: '',
                html:"html_announce/newsDetail.html"
            }
        };
        topmobi.native.cache.putSharedValue('news', 'newsId', arrNewsId[index]);
        topmobi.native.cache.putSharedValue('news', 'newsType', 'JobInfo');
        topmobi.native.common.openWindow(obj);
    });
}
