$(function() {
	/*
	 *统一支付入口页面
	 * 进入页面需传下列参数
	 * payOrder：订单数据
	 * paySourceType：支付业务 0:社保缴费 1：课程缴费
	 * 
	 * 页面接口用到的参数areasId，insuranceType，orderAmount，merchantOrderNo均从订单数据中取，
	 * （社保和课程缴费订单数据可能会不一样，如不一致请单独处理）
	 * 支付方式图片移动端维护
	 * */
	/*
	 * payType 支付方式
	 * 1:工商银行
	 * 2:支付宝
	 * 3:微信
	 */
	var payTypeId = 0;
	var nowAppId = "";
	var APPKEY = "rs#3sER1";
	var APPSECRET = "Rbear#45";
	var payImg = ["","../img/payment_alipay.png","../img/payment_wx.png","../img/payment_icbc.png","../img/payment_mycc.png","../img/payment_abc.png","../img/payment_ccb.png","../img/payment_psbc.png"];
	var payForTarget = "pay-module/pay/insurance";
	var accountList = []; //支付渠道
	var merchantOrderNo = ""; //订单号
	var userId = topmobi.native.cache.getSharedValue("user", "userId");
	var payOrder = topmobi.native.cache.getSharedValue("temp", "payOrder");//订单数据
	payOrder = JSON.parse(payOrder);
	var sourceType = topmobi.native.cache.getSharedValue("temp", "paySourceType")||0;// 0: 保险缴费 1: 课程缴费
	var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var insuranceNumber = ""; //社保号
	var insuranceType = 0;  //社保缴费类型
	var orderAmount = 0;  //订单金额
	var areasId = "";   //区域id
	var orderId = ""; //支付订单号
	//初始化数据(区域id，金额，订单号，业务id)
	if(sourceType == "0"){//保险缴费
		insuranceType = payOrder.aae140;
		if(!!payOrder.orderNo){
			orderId = payOrder.orderNo;//如果有支付单号，调用支付时上传，便于后台判断是否首次支付
		}
		if(insuranceType=="390"){
			insuranceNumber = payOrder.yac100; //如果是居民医保，社保好取户主社保号
		}else{
			insuranceNumber = payOrder.aac001; //如果是职工养老和医保，社保号取个人社保号
		}
		areasId =payOrder.aab034;
		orderAmount = payOrder.jfje;
		merchantOrderNo = payOrder.yae749;
		$(".amount").html(orderAmount);
	}else{//课程缴费
		
	}
	$(".pay_btn").hide();
	//获取支付方式
	accountQuery();
	$(".pay-list").on("tap", ".pay-item", function() {
		$(this).addClass("active").siblings().removeClass("active");
		payTypeId = $(this).data("type");
	})
	$(".pay_btn").on("tap", function() {
		if(payTypeId != 0) {
			payRequest();
		} else {
			topmobi.native.common.showMsg("请选择一种支付方式", "middle", 1500);
		}
	})
	
	//获取支付渠道
	function accountQuery() {
		var dataJson = {
			"type":sourceType,
			"areas":areasId,
			"businesses":insuranceType
		}
		var obj = {
			url: payUrl + "pay-module/pay/queryReceivable",
			method: "post",
			data:dataJson,
			formatString:false,
			contentType:"application/json",
			success: function(data) {
				try {
					var result = data.result.result;
					if(!!result){
						nowAppId = result.appId;
						var payTypeData = result.payTypeLists;
						if(!!payTypeData && payTypeData.length > 0) {
							for(var i=0;i<payTypeData.length;i++)
							payTypeData[i].imageUrl = payImg[payTypeData[i].payTypeId];
							$(".pay_btn").show();
							$(".pay-list").html(template("template_pay_list", payTypeData)); 
						} else {
							topmobi.native.common.showMsg("暂无支付渠道", "middle", 1500);
						}
					}else{
						topmobi.native.common.showMsg("暂无支付渠道", "middle", 1500);
					}
				} catch(e) {

				}
			},
			fail: function(data) {
				if(!!data.message) {
					topmobi.native.common.showMsg(data.message, "middle", 1500);
					return;
				}
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}


	function payRequest() {
		//orderAmount = 0.01;
		var timestamp = Date.parse(new Date());
		var sign = APPSECRET+"appKey"+APPKEY+"merchantOrderNo"+merchantOrderNo+"orderAmount"+orderAmount+"payTypeId"+payTypeId+"timestamp"+timestamp+"userId"+userId+APPSECRET;
		sign = sha1(sign).toUpperCase();
		var data = {
			"orderId":orderId,
			"appId":nowAppId,
			"orderAmount": orderAmount,
			"insuranceType":insuranceType,
			"insuranceNumber":insuranceNumber,
			"payTypeId": payTypeId,
			"merchantOrderNo": merchantOrderNo,
			"appKey": APPKEY,
			"sign": sign,
			"userId":userId,
			"timestamp":timestamp 
		}
		var obj = {
			url: payUrl+"pay-module/pay/insurance",
			method: "post",
			data: data,
			formatString:false,
			contentType:"application/json",
			success: function(data) {
				try {
					var result = data.result;
					if(!!result && !!result.code && result.code == "SUCCESS_10000") 
					{
						if(!!result.charge && (!result.charge.paymentChannel || result.charge.paymentChannel == "NONE"))
						{
							topmobi.native.common.showMsg("支付失败", "middle", 1500);
						}
						else
						{
							saveOrderNo(result);//先保存支付订单号到申报单中
						}
					}
					else
					{
						topmobi.native.common.showMsg(result.msg || "支付请求出错", "middle", 1500);
					}
				} catch(e) {

				}
			},
			fail: function(data) {
				if(!!data.message) {
					topmobi.native.common.showMsg(data.message, "middle", 1500);
					return;
				}
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
	//保存支付单号到申报单中，仅当保存成功时才调用支付sdk进行支付，如保存失败，申报单数据无支付订单号，则不能继续缴费，只能撤销申报申请
	function saveOrderNo(payResult){
		var dataJson = {
			orderNo:payResult.charge.orderId,
			yae749: payOrder.yae749,
			appId:nowAppId
		}
		var obj = {
			url: renshe2ApiUrl + "payment/order/save",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.result && !!result.statusCode && result.statusCode == 201) {
						window.myPayInterface.chPay(JSON.stringify(payResult));
					}else{
						topmobi.native.common.showMsg(result.message||"删除失败", "middle", 1500);
					}
				} catch(e) {}
			},
			fail: function(data) {
				if(!!data.message) {
					topmobi.native.common.showMsg(data.message, "middle", 1500);
					return;
				}
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
})