$(function() {
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var applyData = [];
	var isFriend = topmobi.native.cache.getSharedValue("temp", "isFriend");
	var payInsuranceType = topmobi.native.cache.getSharedValue("temp", "payInsuranceType");
	$(".account-list").on("tap", ".account-item-wrap", function() {
		$(this).addClass("active").siblings().removeClass("active");
	})
	if(isFriend == "true") {
		var friendInfo = topmobi.native.cache.getSharedValue("temp", "friendInfo");
		friendInfo = JSON.parse(friendInfo);
		getAccountList(friendInfo.idCard, friendInfo.name);
	} else {
		requestPersonData();
	}
	//开始申报
	$(".start_btn").on("tap", function() {
		if($(".account-item-wrap.active").length <= 0) {
			topmobi.native.common.showMsg("请选择社保编号", "middle", 1500);
			return;
		}
		var nowInex = $(".account-item-wrap.active").index();
		if(applyData[nowInex].support=="0"){ //1是支持0是不支持
			topmobi.native.common.showMsg("当前申报账号所属区域暂不支持自助申报缴费", "middle", toastTimeForSocialSecurityPay);
			return;
		}
		if(!!applyData[nowInex].yae097){
			var startYear = applyData[nowInex].yae097.slice(0, 4);
			var nowYear = new Date().getFullYear();
			var startMonth = applyData[nowInex].yae097.slice(4, applyData[nowInex].yae097.length)
			if((startYear==nowYear)&&startMonth=="12"){
				topmobi.native.common.showMsg("该用户已完成本年度缴费，不能继续申报", "middle", toastTimeForSocialSecurityPay);
				return;
			}
		}
		topmobi.native.cache.putSharedValue("temp", "confirmPayAccount", JSON.stringify(applyData[nowInex]));
		window.location.href = "./socialSecurityPay_declareInfo.html";
	})

	function requestPersonData() {
		var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
		var dataJson = {
			"handler": "findUserInfoHandler",
			"token": loginToken,
			"sub": {}
		};
		var obj = {
			url: insuranceUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				switch(result.code) {
					case "1000":
						//数据请求成功
						getAccountList(result.data.identityNum, result.data.username);
						break;
					case "4000":
						$(".start_btn").hide();
						//数据请求成功，但数据库记录为空
						topmobi.native.common.showMsg(result.msg, "middle", 1500);
						break;
					case "2001":
						$(".start_btn").hide();
						//token过期跳转到登录页面
						topmobi.native.common.showMsg(result.msg, "middle", 1500);
						break;
					default:
						$(".start_btn").hide();
						topmobi.native.common.showMsg(result.msg, "middle", 1500);
						break;
				}
			},
			fail: function(data) {
				$(".start_btn").hide();
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}

	function getAccountList(idCardNumber, username) {
		var dataJson = {
			"aac002": idCardNumber,
			"aac003": username,
			"aae140": payInsuranceType
		}
		var obj = {
			url: renshe2ApiUrl + "payment/query/user",
			method: "post",
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.result && !!result.statusCode && (result.statusCode == 201 || (result.statusCode == 200 && result.message == "请求成功"))) {
						applyData = JSON.parse(result.result);
						if(applyData.length == 0){
							$(".start_btn").hide();
							$(".account-list").html(template("noData", {}));
							return;
						}
						var list = JSON.parse(result.result);
						//社保编号职工养老和医保显示aac001,居民医保显示yac100
						//参保状态前端写死为"正常参保"
						for(var i = 0; i < list.length; i++) {
							list[i].aab034 = getKeyWithValue("AAB034", list[i].aab034);
							if(payInsuranceType=="110"){
								list[i].socialInsuranceType = "城镇职工养老保险";
							}else if(payInsuranceType =="310"){
								list[i].socialInsuranceType = "城镇职工医疗保险";
							}else if(payInsuranceType =="390"){
								list[i].socialInsuranceType = "城乡居民医疗保险";
							}
						}
						$(".account-list").html(template("account-item", list))
					} else {
						$(".start_btn").hide();
						$(".account-list").html(template("noData", {}));
						topmobi.native.common.showMsg(result.message, "middle", toastTimeForSocialSecurityPay);
						return;
					}
				} catch(e) {}
			},
			fail: function(data) {
				$(".start_btn").hide();
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSocialSecurityPay);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSocialSecurityPay);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", 1500);
				}
			}
		}
		rs_networkRequest(obj);
	}
})