var empty = "未填写";
var options;
var provinceFlag;
var realUrl;
var typeIndex = "0";
var certificateType = ['职业资格证书', '职业技能等级证书'];
var certificateTypeOptions = {
    data: certificateType,
    title: '请选择',
    duration: 300
};

$().ready(function () {
    initTap();

    $('input').on('tap', function (event) {
        //自动反弹 输入法高度自适应
        var target = this;
        setTimeout(function () {
            target.scrollIntoViewIfNeeded();
        }, 100);
    });
})

function onPageResume() {
    var certificatePicturePath = topmobi.native.cache.getSharedValue("certificateProfession", "certificatePicture");
    var certificateRemarkPicturePath = topmobi.native.cache.getSharedValue("certificateProfession", "certificateRemarkPicture");
    if (certificatePicturePath != undefined && certificatePicturePath != "") {
        $(".certificate_original_btn").html("已上传");
    }

    if (certificateRemarkPicturePath != undefined && certificateRemarkPicturePath != "") {
        $(".certificate_remark_btn").html("已上传");
    }
}

function initTap() {
    $(".certificate_type_select_parent").on("tap", function () {
        $(".certificate_type_select_parent").parent().on('tap', function () {
        		$("input").blur();
            var actionSheet = new topmobi.widget.actionSheetDialog(certificateTypeOptions);
            actionSheet.setItemClick(function (index) {
                $(".certificate_type_input").html(certificateTypeOptions.data[index]);
                typeIndex = index + "";
                actionSheet.remove();
            });
        });
    })

    $(".award_select_parent").on('tap', function () {
        showMonthTimePicker($(this).find(".award_date_input"), "date")
    });

//点击下一步，获取输入数据
    $(".nav-btn").on("tap", function () {
        //获取并组装数据，调用提交接口
        var certificate_type_input = $(".certificate_type_input").html();
        var certificate_num_input = $(".certificate_num_input").val();
        var grade_work_input = $(".grade_work_input").val();
        var grade_work_type_input = $(".grade_work_type_input").val();
        var award_date_input = $(".award_date_input").html();
        var certification_authority_input = $(".certification_authority_input").val();
        var certificatePicturePath = topmobi.native.cache.getSharedValue("certificateProfession", "certificatePicture");
        var certificateRemarkPicturePath = topmobi.native.cache.getSharedValue("certificateProfession", "certificateRemarkPicture");
        var id = topmobi.native.cache.getSharedValue("unEmployApply", "id");

        if (certificate_num_input.length - 6 >= 0 && certificate_num_input.charAt(certificate_num_input.length - 6) != grade_work_input) {
            topmobi.native.common.showMsg('证书编号与职业等级不匹配！', "middle", 1500);
            return;
        }

        var current = new Date().getTime();
        var selectDate = new Date(Date.parse(award_date_input.replace(/-/g, "/")));
        var selectDateTime = selectDate.getTime();
        if (selectDateTime > current) {
            topmobi.native.common.showMsg('颁发日期大于当前时间！', "middle", 1500);
            return;
        }

        if (certificate_num_input != "" && certificate_num_input.length != 16) {
            topmobi.native.common.showMsg('请输入16位的证书编号！', "middle", 1500);
            return;
        }

        if (certificate_type_input == undefined || certificate_type_input == "--请选择--") {
            topmobi.native.common.showMsg('证书类型不能为空！', "middle", 1500);
            return;
        }

        if (award_date_input == undefined || award_date_input == "--请选择--") {
            topmobi.native.common.showMsg('颁证日期不能为空！', "middle", 1500);
            return;
        }

        if (grade_work_input != "" && grade_work_type_input != "" && certification_authority_input != "") {
            if (certificatePicturePath != undefined && certificatePicturePath != "") {
                var dataJson = {
                    "handler": "reportInfoHandler",
                    "sub": {
                        "certificateClass": typeIndex,
                        "certificateId": certificate_num_input,
                        "professionAndGread": grade_work_type_input,
                        "professionGread": grade_work_input,
                        "certifiedDate": award_date_input,
                        "issueUnit": certification_authority_input,
                        "zp": certificatePicturePath,
                        "zpbz": certificateRemarkPicturePath,
                        "id": id
                    }
                };

                var request = {
                    data: dataJson,
                    url: certificateInfoReportHandlerUrl,
                    isEncrypt: true,
                    success: function (data) {
                        if (data != undefined && data.result != "" && data.result != undefined) {
                            switch (data.result.code) {
                                case "1000":
                                    //请求到数据回填
//                                    topmobi.native.cache.putSharedValue("certificateProfession", "certificatePicture", "");
//                                    topmobi.native.cache.putSharedValue("certificateProfession", "certificateRemarkPicture", "");
                                    var obj = {
                                        action: {
                                            android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidyOtherInofActivity",
                                            ios: "CHBaseWebViewController"
                                        },
                                        windowType: 0,
                                        params: {
                                            info: "",
                                            html: "html_home/unemploymentInsuranceSubsidyApply_otherinfo.html"
                                        }
                                    }
                                    topmobi.native.common.openWindow(obj);
                                    break;
                                case "2004":
                                    topmobi.native.common.showMsg("有必传参数为空！", "middle", 1500);
                                    break;
                                case "4000":
                                    topmobi.native.common.showMsg("无记录！", "middle", 1500);
                                    break;
                                case "5000":
                                    topmobi.native.common.showMsg(data.result.msg, "middle", 1500);
                                    break;
                                default:
                                    topmobi.native.common.showMsg(data.result.msg, "middle", 1500);
                                    break;
                            }
                        }
                    },
                    fail: function (data) {
                        topmobi.native.common.showMsg("网络异常", "middle", 1500);
                    }
                }
                rs_networkRequest(request);
            } else {
                topmobi.native.common.showMsg("请上传证书原件图片", "middle", 1500);
            }
        } else {
            topmobi.native.common.showMsg("有必填信息为空！", "middle", 1500);
        }
    })

    $(".certificate_original_btn").on("tap", function () {
        openCertificatePictureUpload();
    })

    function openCertificatePictureUpload() {
        var obj = {
            action: {
                android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidyCertPicUploadActivity",
                ios: "CHBaseWebViewController"
            },
            windowType: 0,
            params: {
                info: "",
                html: "html_home/certificatePictureUpload.html"
            }
        }
        topmobi.native.common.openWindow(obj);
    }

    $(".certificate_remark_btn").on("tap", function () {
        openCertificateRemarkPictureUpload();
    })

    function openCertificateRemarkPictureUpload() {
        //打开上传证书备注图片接口
        var obj = {
            action: {
                android: "gov.my.socialsecurity.htmlactivity.home.UnemploymentInsuranceSubsidyRemarkPicUploadActivity",
                ios: "CHBaseWebViewController"
            },
            windowType: 0,
            params: {
                info: "",
                html: "html_home/certificateRemarkPictureUpload.html"
            }
        }
        topmobi.native.common.openWindow(obj);
    }

    $(".certificate_scan_btn").on("tap", function () {
    		$("input").blur();
        //二维码扫描界面
        var obj = {
            success: function (data) {
                //首先获取到base地址
                var baseUrl = data.result;
                var parentRequest = {
                    contentType: "text/html",
                    dataCharset: "UTF-8",
                    method: "get",
                    url: baseUrl,
                    success: function (data) {
                        //根据base地址构造出实际的地址
                        if (data != undefined && data.result != undefined && data.result != "") {
                            var el = document.createElement('div');
                            el.innerHTML = data.result;
                            var inputs = el.getElementsByTagName('input');
                            var aVal = parseInt(inputs[0].value);
                            var idVal = inputs[1].value;
                            var id_mVal = inputs[2].value;
                            getProvinceForShort(aVal);
                            if (aVal == 18) {
                                realUrl = "http://219.232.200.51:8081/bjzxdyxt/code!cer.do?id=" + idVal + "&id_m=" + id_mVal;
                            } else if (aVal == 79) {
                                realUrl = "http://bq.sowin.com:30071/code!cer.do?id=" + idVal + "&id_m=" + id_mVal;
                            } else if (aVal == 85) {
                                realUrl = "http://slzyzg.mwr.gov.cn/code!cer.do?id=" + idVal + "&id_m=" + id_mVal;
                            } else if (aVal == 88) {
                                realUrl = "http://www.sportosta-zscx.cn/code!cer.do?id=" + idVal + "&id_m=" + id_mVal;
                            } else {
                                realUrl = "http://" + provinceFlag + ".sowin.com/code!cer.do?id=" + idVal + "&id_m=" + id_mVal;
                            }
                            realUrl = encodeURI(realUrl);
                            var dataJson = {
                                "handler": "certificateInfoHandler",
                                "sub": {
                                    "url": realUrl
                                }
                            };
                            var request = {
                                data: dataJson,
                                url: certificateInfoGetHandlerUrl,
                                isEncrypt: true,
                                success: function (data) {
                                    hideLoading();
                                    if (data != undefined && data.result != "" && data.result != undefined) {
                                        if (data.result.code == "1000") {
                                            var dataResult = data.result.data;
                                            //请求到数据回填
                                            $(".certificate_num_input").val(dataResult.certificateId);
                                            $(".grade_work_input").val(dataResult.professionGread);
                                            $(".grade_work_type_input").val(dataResult.profession);
                                            $(".award_date_input").html(dataResult.certifiedDate);
                                            $(".certification_authority_input").val(dataResult.issueUnit);
                                        }
                                    }
                                },
                                fail: function (data) {
                                    hideLoading();
                                    if (!!data.msg) {
                                        topmobi.native.common.showMsg(data.msg, "middle", 1500);
                                    }
                                    else {
                                        topmobi.native.common.showMsg("网络异常", "middle", 1500);
                                    }
                                }
                            }
                            rs_networkRequest(request);
                        }
                    },
                    fail: function (data) {
                        hideLoading();
                        if (!!data.msg) {
                            if (data.msg == -1 || data.msg.indexOf("请求超时") >= 0) {
                                topmobi.native.common.showMsg("线上证书系统正在维护，扫码自动读取证书信息暂不可用，请手动输入", "middle", 1500);
                            } else {
                                topmobi.native.common.showMsg(data.msg, "middle", 1500);
                            }
                        } else {
                            topmobi.native.common.showMsg("网络异常", "middle", 1500);
                        }
                    }
                }
                showLoading();
                rs_networkRequest(parentRequest);
            },
            fail: function (data) {
                if (!!data.msg) {
                    topmobi.native.common.showMsg(data.msg, "middle", 1500);
                }
                else {
                    topmobi.native.common.showMsg("扫码失败", "middle", 1500);
                }
            }
        };
        topmobi.sdk.qrcode.scanCode(obj);
    })
}

//依据id匹配对应的省份简称
function getProvinceForShort(aVal) {
    switch (aVal) {
        case 1:
            provinceFlag = "hb";
            break;
        case 2:
            provinceFlag = "sd";
            break;
        case 3:
            provinceFlag = "tj";
            break;
        case 5:
            provinceFlag = "hb";
            break;
        case 6:
            provinceFlag = "sc";
            break;
        case 7:
            provinceFlag = "xj";
            break;
        case 8:
            provinceFlag = "gd";
            break;
        case 9:
            provinceFlag = "jx";
            break;
        case 10:
            provinceFlag = "hlj";
            break;
        case 11:
            provinceFlag = "heb";
            break;
        case 12:
            provinceFlag = "fj";
            break;
        case 13:
            provinceFlag = "sh";
            break;
        case 15:
            provinceFlag = "ws";
            break;
        case 16:
            provinceFlag = "ws";
            break;
        case 17:
            provinceFlag = "mh";
            break;
        case 18:
            provinceFlag = "219.232.200.51:8081/bjzxdyxt";
            break;
        case 19:
            provinceFlag = "ys";
            break;
        case 20:
            provinceFlag = "hg";
            break;
        case 21:
            provinceFlag = "yn";
            break;
        case 22:
            provinceFlag = "ny";
            break;
        case 23:
            provinceFlag = "nmg";
            break;
        case 25:
            provinceFlag = "ln";
            break;
        case 26:
            provinceFlag = "ly";
            break;
        case 27:
            provinceFlag = "yj";
            break;
        case 28:
            provinceFlag = "fz";
            break;
        case 29:
            provinceFlag = "zsl";
            break;
        case 30:
            provinceFlag = "qg";
            break;
        case 31:
            provinceFlag = "hn";
            break;
        case 32:
            provinceFlag = "xw";
            break;
        case 33:
            provinceFlag = "wh";
            break;
        case 35:
            provinceFlag = "qh";
            break;
        case 36:
            provinceFlag = "nx";
            break;
        case 37:
            provinceFlag = "hns";
            break;
        case 38:
            provinceFlag = "jix";
            break;
        case 39:
            provinceFlag = "gx";
            break;
        case 50:
            provinceFlag = "sx";
            break;
        case 51:
            provinceFlag = "js";
            break;
        case 52:
            provinceFlag = "gad";
            break;
        case 53:
            provinceFlag = "xf";
            break;
        case 55:
            provinceFlag = "zsdy";
            break;
        case 56:
            provinceFlag = "ah";
            break;
        case 57:
            provinceFlag = "ch";
            break;
        case 58:
            provinceFlag = "sxs";
            break;
        case 59:
            provinceFlag = "tx";
            break;
        case 60:
            provinceFlag = "cz";
            break;
        case 61:
            provinceFlag = "dz";
            break;
        case 62:
            provinceFlag = "test";
            break;
        case 63:
            provinceFlag = "gz";
            break;
        case 65:
            provinceFlag = "cq";
            break;
        case 66:
            provinceFlag = "ls";
            break;
        case 67:
            provinceFlag = "gs";
            break;
        case 68:
            provinceFlag = "zj";
            break;
        case 69:
            provinceFlag = "yz";
            break;
        case 70:
            provinceFlag = "jy";
            break;
        case 71:
            provinceFlag = "jt";
            break;
        case 72:
            provinceFlag = "hun";
            break;
        case 73:
            provinceFlag = "bt";
            break;
        case 75:
            provinceFlag = "jl";
            break;
        case 76:
            provinceFlag = "gt";
            break;
        case 77:
            provinceFlag = "jc";
            break;
        case 78:
            provinceFlag = "zb";
            break;
        case 79:
            provinceFlag = "bq.sowin.com:30071";
            break;
        case 80:
            provinceFlag = "zjg";
            break;
        case 81:
            provinceFlag = "wjw";
            break;
        case 82:
            provinceFlag = "yc";
            break;
        case 83:
            provinceFlag = "yzjt";
            break;
        case 85:
            provinceFlag = "slzyzg.mwr.gov.cn";
            break;
        case 86:
            provinceFlag = "hk";
            break;
        case 87:
            provinceFlag = "gxs";
            break;
        case 88:
            provinceFlag = "www.sportosta-zscx.cn";
            break;
        case 89:
            provinceFlag = "ztj";
            break;
        case 90:
            provinceFlag = "dl";
            break;
        case 91:
            provinceFlag = "xzz";
            break;
        case 92:
            provinceFlag = "zt";
            break;
        case 93:
            provinceFlag = "bqzb";
            break;
        case 95:
            provinceFlag = "zl";
            break;
        case 96:
            provinceFlag = "zjz";
            break;
        case 97:
            provinceFlag = "zjs";
            break;
        case 98:
            provinceFlag = "zh";
            break;
        case 99:
            provinceFlag = "cg";
            break;
        case 100:
            provinceFlag = "mzz";
            break;
        case 101:
            provinceFlag = "sf";
            break;
        case 102:
            provinceFlag = "zdc";
            break;
        case 103:
            provinceFlag = "tl";
            break;
        case 105:
            provinceFlag = "ggj";
            break;
        case 106:
            provinceFlag = "zy";
            break;
        case 107:
            provinceFlag = "zyz";
            break;
        case 108:
            provinceFlag = "shjt";
            break;
        case 109:
            provinceFlag = "mt";
        case 110:
            provinceFlag = "zhy";
            break;
        case 111:
            provinceFlag = "lk";
            break;
        case 112:
            provinceFlag = "lk";
            break;
        case 113:
            provinceFlag = "lk";
            break;
        case 115:
            provinceFlag = "qj";
            break;
        case 116:
            provinceFlag = "ztx";
            break;
        case 117:
            provinceFlag = "ztx";
            break;
        case 118:
            provinceFlag = "ltz";
            break;
        case 119:
            provinceFlag = "ltz";
            break;
        default:
            break;
    }
}