/*
 * 医院诊疗卡绑定
 */
$(function($) {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var address = '';

	// 个人信息
	var userInfo = {};
	
	
	/**
	 * 初始化
	 */
	function init() {
		addTemplateHelper();	
		userInfo.nickName = topmobi.native.cache.getSharedValue("user", "nickName");
		userInfo.identityNum = topmobi.native.cache.getSharedValue("user", "identityNum");
		userInfo.phoneNum = phoneNum;
		$('.container').html(template('tplAddress', userInfo));
		registerEvent();
	};

	

	function registerEvent() {
		// 绑定按钮点击事件
		$('#btnBind').on('tap', function() {
			address = $('#address').val();
			if(address && checkAddress(address)) {
				complementAddress();
			}else{
				topmobi.native.common.showMsg("请输入地址信息！", "middle", toastTimeForMedicalCard);
			}
		});
	}

	/**
	 * 完善地址信息
	 */
	function complementAddress() {
		var dataJson = {
			"handler":"complementAddrHandler",
			"token": token,
			 "sub": {
			 	"phoneNum":phoneNum,
			 	"addr":address
			 }
		};
		var obj = {
			url: hospitalTestUrl + 'appointment',
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(response) {
				if(response.result && response.result.code) {
					var result = response.result;
					switch(result.code) {
						case '1000':
							// 成功
							//alertDialog(result.msg || '完善地址信息成功');
							topmobi.native.common.showMsg('完善地址信息成功！', "middle", toastTimeForMedicalCard);
							topmobi.native.cache.putSharedValue("user", "address", address);
							topmobi.native.cache.putSharedValue("user", "hasAddress","1");
							history.back();
							break;
						case '2000':
							// 失败
							topmobi.native.common.showMsg(result.msg || '完善地址信息失败', "middle", toastTimeForMedicalCard);
						    break;
						case '4000':
							// 用户不存在
							topmobi.native.common.showMsg(result.msg || '用户不存在', "middle", toastTimeForMedicalCard);
							break;
						default:
							topmobi.native.common.showMsg('系统错误', "middle", toastTimeForMedicalCard);
							break;
					}
				} else {
						topmobi.native.common.showMsg('系统错误', "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(response) {
				topmobi.native.common.log("getMedicalAccount", "错误：" + JSON.stringify(response));
			}
		}

		rs_networkRequest(obj);
	}

	
	init();
});