/*
 * 医院诊疗卡绑定
 */
$(function($) {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	$('.modify').css("display", "none");
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");

	// 医疗卡号
	var patientId = '';
	var address = '';

	// 个人信息
	var userInfo = {};
	var hasUserInfoFlag = topmobi.native.cache.getSharedValue("user", "hasGetUserSocialInfo"); //是否已获取过个人信息

	// 绑定的请求体
	var bindReqBody = {
		token: token
	};
	var hasBindMedicalCard = false; //是否绑定过医疗卡

	/**
	 * 初始化
	 */
	function init() {
		registerModifyEvent();
		addTemplateHelper();
		asyncGetPatientId({
			token: token,
			phoneNum: phoneNum,
			success: function(response) {
				switch(response.code) {
					case '200':
						//已绑定医院诊疗卡
						hasBindMedicalCard = true;
						patientId = response.patientId;
						if(hasUserInfoFlag == "1") {
							userInfo.nickName = topmobi.native.cache.getSharedValue("user", "nickName");
							userInfo.identityNum = topmobi.native.cache.getSharedValue("user", "identityNum");
							userInfo.phoneNum = phoneNum;
							showMedicalInfo();
						} else {
							getUserInfo();
						}
						break;
					case '404':
						// 获取失败 or 未绑定
						hasBindMedicalCard = false;
						if(hasUserInfoFlag == "1") {
							userInfo.nickName = topmobi.native.cache.getSharedValue("user", "nickName");
							userInfo.identityNum = topmobi.native.cache.getSharedValue("user", "identityNum");
							userInfo.phoneNum = phoneNum;
							$('.container').html(template('tplBind', userInfo));
							$('.modify').css("display", "none");
							registerBindEvent();
						} else {
							getUserInfo();
						}
						break;
				}
			}
		});
	};

	/**
	 * 异步获取用户信息（姓名、身份证号）
	 */
	function getUserInfo() {
		asyncGetUserInfo({
			token: token,
			phoneNum: phoneNum,
			success: function(response) {
				if(response.code == "200") {
					// 获取成功
					userInfo.nickName = topmobi.native.cache.getSharedValue("user", "nickName");
					userInfo.identityNum = topmobi.native.cache.getSharedValue("user", "identityNum");
					userInfo.phoneNum = phoneNum;
					if(hasBindMedicalCard) {
						showMedicalInfo();
					} else {
						$('.container').html(template('tplBind', userInfo));
						$('.modify').css("display", "none");
						registerBindEvent();
					}
				} else {
					//获取个人参保信息失败
					topmobi.native.common.showMsg("获取个人信息失败！", "middle", toastTimeForMedicalCard);
				}
			}
		});
	};

	function registerBindEvent() {
		// 绑定按钮点击事件
		$('#btnBind').on('tap', function() {
			patientId = $('#medicalCardNum').val();
			address = $('#address').val();//地址也必填
			//姓名、身份证和电话信息允许修改
			userInfo.nickName = $('#nickName').val();
			userInfo.identityNum = $('#idNum').val();
			userInfo.phoneNum = $('#phoneNum').val();
			userInfo.address = address;
			if(!isIdCardNo(userInfo.identityNum)) {
				topmobi.native.common.showMsg("请输入正确的身份证号", "middle", 1500);
				return;
			}
			if(isNull(userInfo.nickName)) {
				topmobi.native.common.showMsg("请输入姓名", "middle", 1500);
				return;
			}
			if(!checkPhone(userInfo.phoneNum)) {
				topmobi.native.common.showMsg("请输入正确的电话号码", "middle", 1500);
				return;
			}
			if(isNull(userInfo.address)) {
				topmobi.native.common.showMsg("请输入地址", "middle", 1500);
				return;
			}else if(!checkAddress(userInfo.address)){
				return;
			}else{
				bindReqBody.address = address;
			}
			
			if(patientId && checkMedicalCardNum(patientId)) {
				bindReqBody.platRegNo = patientId;
			}
			
			bindReqBody.phoneNum = phoneNum; //测试环境需要传此参数
			reqBind();
		});
	}

	/**
	 * 绑定医疗卡
	 */
	function reqBind() {
		var obj = {
			url: hospitalTestUrl + 'reg',
			data: bindReqBody,
			isEncrypt: true,
			success: function(response) {
				if(response.result && response.result.Result) {
					var result = response.result.Result;
					switch(result.ResultCode) {
						case '0':
							// 绑定成功
							alertDialog(result.ErrorMsg || '绑定成功');
							patientId = getMedicalCardNum(response);
							topmobi.native.cache.putSharedValue("user", "hasAddress", '1');
							topmobi.native.cache.putSharedValue("user", "patientId", patientId);
							showMedicalInfo();
						case '2':
							// 身份证号和卡号已注册 返回his号
							alertDialog(result.ErrorMsg || '已绑定');
							patientId = getMedicalCardNum(response);
							topmobi.native.cache.putSharedValue("user", "hasAddress", '1');
							topmobi.native.cache.putSharedValue("user", "patientId", patientId);
							showMedicalInfo();
						case '3':
							// his号认证成功
							alertDialog(result.ErrorMsg || '认证成功');
							patientId = getMedicalCardNum(response);
							topmobi.native.cache.putSharedValue("user", "hasAddress", '1');
							topmobi.native.cache.putSharedValue("user", "patientId", patientId);
							showMedicalInfo();
						case '4':
							// 身份证号更新成功
							alertDialog(result.ErrorMsg || '成功', function() {
								patientId = getMedicalCardNum(response);
								topmobi.native.cache.putSharedValue("user", "hasAddress", '1');
								showMedicalInfo();
							});
							break;
						case '1':
							// 身份证识别错误
						case '5':
							// 系统写入表错误,身份证或姓名出错
						case '6':
							// 接口密码错误
							alertDialog(Result.ErrorMsg || '失败');
							break;
						case '7':
							// HIS号认证失败
							confirmDialog('HIS号认证失败，是否生成虚拟卡号？', function() {
								bindReqBody.platRegNo = 'zc';
								reqBind();
							});
							break;
						default:
							alertDialog(TEXT_SYSTEM_ERROR);
							break;
					}
				} else {
					alertDialog(TEXT_SYSTEM_ERROR);
				}
			},
			fail: function(response) {
				topmobi.native.common.log("getMedicalAccount", "错误：" + JSON.stringify(response));
			}
		}

		rs_networkRequest(obj);
	}

// 修改按钮点击事件
		$('.modify').on('tap', function() {
			$('.container').html(template('tplBind', userInfo));
			registerBindEvent();
			$('.modify').css("display", "none");
		});
	function registerModifyEvent() {
		// 修改按钮点击事件
//		$('.modify').on('tap', function() {
//			userInfo.nickName="";		
//			userInfo.identityNum = "";
//			userInfo.phoneNum = "";
//			$('.container').html(template('tplBind', userInfo));
//			$('.modify').css("display", "none");
//		});
	}

	/**
	 * 若已绑定  展示医疗信息
	 */
	var showMedicalInfo = function() {
		$('.container').html(template('tplMedical', userInfo));
		$('.modify').css("display", "block");
		$('#medicalCardNumShow').html(patientId);
		var medicalQRCode = new QRCode(document.getElementById('medicalQRCode'), patientId);
	};
	init();
});