$(function() {
	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	topmobi.native.cache.removeSharedValue("user", "payType");
	var isOverTime = false; //预约是否超时
	var maxtime = 15 * 60; //15分钟未支付，挂号失效
	var recordType = 0; //0：未缴费 ， 1：历史
	var schdId; //医生排班Id
	var SchdDate; //就诊时间
	var RegFee; //挂号费金额
	var DoctorID; //医生编码
	var DoctorName; //医生名称
	var DeptId; //科室编码
	var dept; //科室名称
	var apptId; //预约挂号记录标识	
	var yke014; //下单产生的医保交易流水号
	var yke203; //下单产生的医保交易验证码
	var akc190; //下单产生的医保就诊序号
	var akc264; //门诊费金额
	var appointmentType; //挂号类别
	var patientId=""; //医院就诊卡号
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var patientName = topmobi.native.cache.getSharedValue("user", "nickName"); //姓名 不带*
	var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"); //社保个人ID
	var cardNum = topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"); //社保卡号
	var dataHtml1 = "",
		dataHtml2 = "";

	function init() {
		// 获取医疗卡
		asyncGetPatientId({
			token: token,
			phoneNum: phoneNum,
			success: function(response) {
				switch(response.code) {
					case '200':
						patientId = response.patientId;
						getReserveList();
						break;
					default:
						// 提示用户去绑定医疗卡
						confirmDialog(TEXT_BIND_MEDICAL_CARD, function() {
							location.href='./medical_hospital_card_bind.html';
						});
						break;
				}
			}
		});
	}

	$(".tab-wrap").on("tap", ".tab-item", function() {
		$(this).addClass("active").siblings().removeClass("active");
		recordType = $(this).data("state");
		getReserveList();
	})

	/**
	 * 获取未支付的预约
	 */
	function getReserveList() {
		$('.order-list').html("");
		var dataJson = {
			token: token,
			patientId: patientId,
			pName: patientName,
			limit: 10
		};
		var obj = {
			url: hospitalTestUrl + '/appointmentRecord',
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.Result && result.Result.ResultCode === '0' && result.NewDataSet && result.NewDataSet.Table.length > 0) {
					if(recordType == 0) {
						$('.order-list').html(template('unpayReserveTpl', getInfoFromHospitalResponse(result) || []));
						if($('.order-list').find(".preview-box").length>0){
							initPayClickEvent();
							var $records = $('.order-list').find('.preview-box');
							for(i = 0; i < $records.size(); i++) {
								var $this  = $records.eq(i);
								var apptid = $this.data('appt-id');
								var maxtime = $this.data('validity');
								showTime($this,maxtime,apptid);
							}
						}else{
							$(".order-list").html(template("noData", {}));
						}
						
					} else {
						$('.order-list').html(template('historyReserveTpl', getInfoFromHospitalResponse(result) || []));
						if($('.order-list').find(".preview-box").length == 0){
							$(".order-list").html(template("noData", {}));
						}
					}
				} else if(result.Result && result.Result.ResultCode === '0') {
					$(".order-list").html(template("noData", {}));
				} else if(result.Result && result.Result.ErrorMsg) {
					topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
				} else if(result.msg) {
					topmobi.native.common.showMsg(result.msg, "middle", toastTimeForMedicalCard);
				}else{
					if(patientId == undefined || (patientId =="" )){
						topmobi.native.common.showMsg("请先绑定医疗卡！", "middle", toastTimeForMedicalCard);
					} else{
						topmobi.native.common.showMsg("系统错误！", "middle", toastTimeForMedicalCard);
					}	
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	/**
	 * 初始化取消预约点击事件
	 */
	function initCancelClickEvent() {
		$('.btnCancel').off('tap').on('tap', function() {
			var $preview = $(this).parents('.preview-box');
			var dataJson = {
				token: token,
				patientId: patientId,
				pName: patientName,
				apptId: $preview.data('appt-id')
			};
			var obj = {
				url: hospitalTestUrl + 'cancelRegistration',
				method: "post",
				isEncrypt: true,
				data: dataJson,
				success: function(data) {
					var result = data.result;
					if(result.Result && result.Result.ResultCode) {
						switch(result.Result.ResultCode) {
							case '0':
								// 取消预约成功
								alertDialog(result.Result.ErrorMsg || '取消预约成功', function() {
									$preview.remove();
								});
								break;
							default:
								// 取消预约失败
								alertDialog('取消预约失败');
								break;
						}
					} else {
						alertDialog("系统异常");
					}
				},
				fail: function(data) {

				}
			}
			rs_networkRequest(obj);
		});
	}

	/**
	 * 初始化立即支付点击事件
	 */
	function initPayClickEvent() {
		$('.btnPay').off('tap').on('tap', function() {
			var $preview = $(this).parents('.preview-box');
			apptId = $preview.data('appt-id');
			schdId = $preview.data('schd-id'); //医生排班ID
			SchdDate = $preview.data('schd-date'); //就诊时间
			RegFee = $preview.data('register-fee'); //挂号费金额
			DoctorID = $preview.data('doctor-id'); //医生编码
			DoctorName = $preview.data('doctor-name'); //医生名称
			DeptId = $preview.data('dept-id'); //科室编码
			dept = $preview.data('dept-name'); //科室名称
			getAppointmentType();
		});
	}

	//15分钟未支付，则取消订单
	function cancelOrder(apptId) {
		var dataJson = {
			token: token,
			patientId: patientId,
			pName: patientName,
			apptId: apptId
		};
		var obj = {
			url: hospitalTestUrl + 'cancelRegistration',
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.Result && result.Result.ResultCode) {
					switch(result.Result.ResultCode) {
						case '0':
							// 取消预约成功
							//$("#timer").html("挂号已失效，请重新挂号！");
							topmobi.native.common.showMsg('预约超时，已自动取消预约', "middle", toastTimeForMedicalCard);
							getReserveList();
							break;
						default:
							// 取消预约失败
							topmobi.native.common.showMsg('自动取消预约失败', "middle", toastTimeForMedicalCard);
							break;
					}
				} else {
					topmobi.native.common.showMsg('系统异常', "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {

			}
		}
		rs_networkRequest(obj);
	}
	

	/*
	 * 显示倒计时
	 */
	function showTime(el,maxtime,apptid) {
			minutes = Math.floor(maxtime / 60);
			seconds = Math.floor(maxtime % 60);
			msg = minutes + "分" + seconds + "秒";
			el.find(".countDown").html(msg);
			if(maxtime >= 1) {
				smsTimer = setTimeout(function() {
					showTime(el,maxtime,apptid);
				}, 1000)
			} else {
				isOverTime = true;
				clearTimeout(smsTimer);
				//取消订单				
				cancelOrder(apptid);
				//$(".countDown").html("挂号已失效，请重新挂号！");
			}
			if(maxtime >= 1) maxtime = maxtime - 1;
	}
	

	/*
	 * 获取yke047挂号类别     挂号费用下单接口要用到此参数
	 */
	function getAppointmentType() {
		var dataJson = {
			handler: "getDoctorTitleHandler",
			token: token,
			sub: {
				doctorId: DoctorID
			}
		};
		var obj = {
			url: hospitalTestUrl + 'appointment',
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code && result.code == "1000") {
					appointmentType = result.data;
					registrationFeeOrder();
				} else {
					topmobi.native.common.showMsg("获取挂号类别失败", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {

			}
		}
		rs_networkRequest(obj);
	}

	//挂号费用下单接口
	function registrationFeeOrder() {
		var dataJson = {
			"handler": "c001Handler",
			"token": token,
			"sub": {
				"akb020": "2040", //定点医疗机构编号
				"aac001": cardId, //社保个人ID
				"aaz501": cardNum, //社会保障卡号
				"aae072": apptId, //挂号序号 
				"yke047": appointmentType, //挂号类别  
				"aae030": SchdDate, //就诊时间  SchdDate
				"akc264": RegFee, //挂号费金额   RegFee
				"aae011": cardId, //经办人   ？？？传aac001(cardId)
				"bkc048": DoctorID, //医生编码   DoctorID
				"bkc049": DoctorName, //医生名称     DoctorName
				"yka091": DeptId, //科室编码  DeptId
				"aae386": dept, //科室名称   dept
			}
		};
		var obj = {
			url: medicalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(result.code) {
						switch(result.code) {
							case "1":
								//挂号下单成功
								if(result.output) {
									yke014 = result.output.yke014; //交易流水号
									yke203 = result.output.yke203; //医保交易验证码
									akc190 = result.output.akc190; //医保就诊序号    
									akc264 = result.output.akc264; //门诊费金额
									var param = {
										"yke014": yke014,
										"yke203": yke203,
										"akc190": akc190,
										"akc264": akc264,
										"apptId": apptId,
										"schdId": schdId,
										"patientId": patientId,
										"type": "挂号费",
										"doctorId": DoctorID
									};
									topmobi.native.cache.putSharedValue("medical", "medicalOrderInfo", JSON.stringify(param));
									location.href = "./medical_payment_confirm.html?payEntrance=1"; //跳转至支付确认页面,入口参数为1
								}

								break;
							case "0":
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
								break;
							case "-1":
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
								break;

						}
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}

	init();

});