/**
 * @author wyy 2017/2/16
 * 
 * 立即预约界面
 */

$(function() {

	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
    var isOverTime = false;//预约是否超时
	var maxtime = 15 * 60; //15分钟未支付，挂号失效
	var deptId; //二级科室id
	var schdlimit = 0; //预约限制人数
	var schdPrice; //挂号费
	var doctorTitle; //医生职称
	var projectName; //专业（一级科室）名称
	var schdDate; //排班时间
	var schdID; //门诊排班标识
	var DoctorId; //医生id
	var reserved; //已预约人数	
	var SeqCode; //挂号序号
	var SchdDate; //就诊时间
	var DoctorName; //医生名称
	var DeptId; //科室编码
	var dept; //科室名称
	var apptId; //预约挂号记录标识
	//var RegFee; //挂号费金额	
	var yke014; //下单产生的医保交易流水号
	var yke203; //下单产生的医保交易验证码
	var akc190; //下单产生的医保就诊序号
	var akc264; //门诊费金额
	var appointmentType; //挂号类别

	var patientId=""; //医院就诊卡号
	var patientName = topmobi.native.cache.getSharedValue("user", "nickName"); //病人姓名
	var token = topmobi.native.cache.getSharedValue("user", "loginToken");
	var phoneNum = topmobi.native.cache.getSharedValue("user", "phoneNumber");
	var cardId = topmobi.native.cache.getSharedValue("user", "medicalSocailCardId"); //社保个人ID
	var cardNum = topmobi.native.cache.getSharedValue("user", "medicalSocailCardNum"); //社保卡号
	
	var param = topmobi.native.cache.getSharedValue("medical", "doctorInfo");	
	if(param) {
		param = JSON.parse(param);
		DoctorId = param.doctorId;
		schdID = param.schdID;
		schdlimit = param.schdlimit;
		schdPrice = param.schdPrice;
		projectName = param.projectName;
		dept = param.departName;
		DoctorName = param.doctorName;
		doctorTitle = param.doctorTitle;
		schdDate = param.schdDate;
		DeptId = param.deptId;//科室编码
		$('.content-scroll').html(template('reserve-info', param)); //信息展示
	} else {
		topmobi.native.common.showMsg("获取参数错误！", "middle", toastTimeForMedicalCard);
		return;
	}
	var init = function() {
		$(".patient-name").html(patientName);
		getMedicalCardInfo(); //获取就诊卡号信息
		getReservedInfo(); //预约信息查询
		//  getDoctorInfo();//查询医生信息（头像、简介等）
	};

	/*
	 * 获取就诊卡号信息
	 */
	var getMedicalCardInfo = function() {
		asyncGetPatientId({
			token: token,
			phoneNum: phoneNum,
			success: function(response) {
				if(response.code == "200") {
					// 获取成功
					patientId = response.patientId;
					$(".card-number").html(patientId);
				} else {
					//提示用户去绑定医疗卡号
					confirmDialog(TEXT_BIND_MEDICAL_CARD, function() {
						location.href = "./medical_hospital_card_bind.html";
					});
				}
			}
		});
	};

	/*
	 * 2.4 医生预约信息查询(根据医生排班编号schdID查询已预约数量)
	 */
	var getReservedInfo = function() {
		var dataJson = {
			token: token,
			schdId: schdID
		};
		var obj = {
			url: hospitalTestUrl + 'doc/appointment',
			data: dataJson,
			isEncrypt: true,
			success: function(response) {
				var result = response.result;
				if(result.Result) {
					reserved = parseInt(result.Result.ApptConfirm);
					$(".content-scroll").find(".reserved-number").html(reserved + '人');
					//预约已满，不能再预约
					if(reserved == schdlimit) {
						$(".content-scroll").find(".reserve-btn").html("预约已满");
					}
				} else {
					alertDialog(TEXT_SYSTEM_ERROR);
				}
			}
		}
		rs_networkRequest(obj);
	};

	/*
	      获取医生信息(医生查询)
	 */
	var getDoctorInfo = function() {
		var dataJson = {
			token: token,
			doctorId: DoctorId
		};
		var obj = {
			url: hospitalTestUrl + 'doc/querydoctor',
			data: dataJson,
			isEncrypt: true,
			success: function(response) {
				if(response.Result) {
					showData(response);
				} else {
					alertDialog(TEXT_SYSTEM_ERROR);
				}
			}
		}
		rs_networkRequest(obj);
	};

	//医生信息数据展示
	var showData = function(data) {
	};
	init();

	/*
	 * 初始化立即支付点击事件
	 */
	function initClickEvent() {
		//立即支付
		$('.pay-btn').off('tap').on('tap', function() {
			if(!isOverTime){
				var $preview = $(this).parents('.content-scroll').find('.reserve-content');
				apptId = $preview.data('appt-id');
				SchdDate = $preview.data('schd-date'); //就诊时间				
				getAppointmentType();
			}else{
				topmobi.native.common.showMsg("预约挂号已失效，请重新预约！", "middle", toastTimeForMedicalCard);
			}			
		});

		//返回预约
		$('.back-btn').off('tap').on('tap', function() {
		//	location.href = "./medical_appointment_type.html";
			topmobi.native.common.closeWindow(0);
		});
	}
	
	/*
	 * 获取yke047挂号类别     挂号费用下单接口要用到此参数
	 */
	function getAppointmentType() {
		var dataJson = {
			handler: "getDoctorTitleHandler",
			token: token,
			sub: {
				doctorId: DoctorId
			}
		};
		var obj = {
			url: hospitalTestUrl + 'appointment',
			method: "post",
			isEncrypt: true,
			data: dataJson,
			success: function(data) {
				var result = data.result;
				if(result.code && result.code == "1000") {
					appointmentType = result.data;
					registrationFeeOrder();
				} else {
					topmobi.native.common.showMsg("获取挂号类别失败", "middle", toastTimeForMedicalCard);
				}
			},
			fail: function(data) {

			}
		}
		rs_networkRequest(obj);
	}

	//挂号费用下单接口
	function registrationFeeOrder() {
		var dataJson = {
			"handler": "c001Handler",
			"token":token,
			"sub": {
				"akb020": "2040", //定点医疗机构编号
				"aac001": cardId, //社保个人ID
				"aaz501": cardNum, //社会保障卡号
				"aae072": apptId, //挂号序号
				"yke047": appointmentType, //挂号类别  
				"aae030": SchdDate, //就诊时间  SchdDate
				"akc264": schdPrice, //挂号费金额   RegFee
				"aae011": cardId, //经办人   ？ 传aac001(cardId)
				"bkc048": DoctorId, //医生编码   DoctorID
				"bkc049": DoctorName, //医生名称     DoctorName
				"yka091": DeptId, //科室编码  DeptId
				"aae386": dept, //科室名称   dept
			}
		};
		var obj = {
			url: medicalUrl,
			data: dataJson,
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(result.code) {
						switch(result.code) {
							case "1":
								//挂号下单成功
								if(result.output) {
									yke014 = result.output.yke014; //交易流水号
									yke203 = result.output.yke203; //医保交易验证码
									akc190 = result.output.akc190; //医保就诊序号    
									akc264 = result.output.akc264; //门诊费金额
									var param = {
										"yke014": yke014,
										"yke203": yke203,
										"akc190": akc190,
										"akc264": akc264,
										"apptId": apptId,
										"schdId": schdID,
										"patientId":patientId,
										"type": "挂号费"
									};
									topmobi.native.cache.putSharedValue("medical", "medicalOrderInfo", JSON.stringify(param));
									location.href = "./medical_payment_confirm.html?payEntrance=2"; //跳转至支付确认页面
								}								
								break;
							case "0":
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
								break;
							case "-1":
								topmobi.native.common.showMsg(result.message, "middle", toastTimeForMedicalCard);
								break;
						}
					}
				} catch(e) {
					topmobi.native.common.log("wyy", "错误：" + e.message);
				}
			},
			fail: function(data) {
				topmobi.native.common.showMsg("网络异常", "middle", 1500);
			}
		}
		rs_networkRequest(obj);
	}
	
	//15分钟未支付，则取消订单
	function cancelOrder(){
			var dataJson = {
				token: token,
				patientId: patientId,
				pName: patientName,
				apptId: apptId
			};
			var obj = {
				url: hospitalTestUrl + 'cancelRegistration',
				method: "post",
				isEncrypt: true,
				data: dataJson,
				success: function(data) {
					var result = data.result;
					if(result.Result && result.Result.ResultCode) {
						switch(result.Result.ResultCode) {
							case '0':
								// 取消预约成功
								$("#timer").html("挂号已失效，请重新挂号！");
								//支付btn灰显
								$('.content-scroll').find('.pay-btn').css("background","#707070");
								break;
							default:
								// 取消预约失败
								topmobi.native.common.showMsg('自动取消预约失败', "middle", toastTimeForMedicalCard);
								break;
						}
					} else {
						topmobi.native.common.showMsg('系统异常', "middle", toastTimeForMedicalCard);
					}
				},
				fail: function(data) {

				}
			}
			rs_networkRequest(obj);
	}

	/*
	 * 显示倒计时
	 */
	function showTime() {
		minutes = Math.floor(maxtime / 60);
		seconds = Math.floor(maxtime % 60);
		msg = minutes + "分" + seconds + "秒";
		$("#timer").html(msg);
		if(maxtime >= 0) {
			smsTimer = setTimeout(function() {
				showTime();
			}, 1000)
		} else {
			isOverTime = true;
			clearTimeout(smsTimer);
			//取消订单
			cancelOrder();			
			$("#timer").html("挂号已失效，请重新挂号！");
		}
		maxtime = maxtime - 1;
	}

	//点“立即预约”
	$(".reserve-btn").on("click", function(event) {
		if(patientId != ""){
			if($(".reserve-btn").html() == "立即预约") {
			var dataJson = {
				token: token,
				patientId: patientId,
				pName: patientName,
				schdId: schdID
			}
			var obj = {
				url: hospitalTestUrl + 'registration',
				data: dataJson,
				isEncrypt: true,
				success: function(response) {
					var result = response.result;
					switch(result.Result.ResultCode) {
						case "0":
							//成功,显示预约信息
							//topmobi.native.common.showMsg("预约成功！", "middle", toastTimeForMedicalCard);
							//location.href = "./medical_my_appointment.html";
							alertDialog("预约成功");
							$('.content-scroll').html(""); //信息清空
							result.NewDataSet.Table.patientName = patientName;
							$('.content-scroll').html(template('reserve-success-info', result.NewDataSet.Table)); //信息展示
							showTime();
							initClickEvent();
							break;
						case "1":
							//系统获取号码错误
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "2":
							//系统填入数据出错
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "3":
							//已经预约成功，不能重复预约
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "4":
							//获取排班出错
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "5":
							//挂号表单无有效数据
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "6":
							//预约3次未取号
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "7":
							//获取病人数据出错
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "8":
							//超出医生预约人数，请预约其他日期
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						case "9":
							//14岁及以上请挂成人科室
							topmobi.native.common.showMsg(result.Result.ErrorMsg, "middle", toastTimeForMedicalCard);
							break;
						default:
							topmobi.native.common.showMsg("返回结果错误", "middle", toastTimeForMedicalCard);
							break;
					}
				},
				fail: function(data) {
					topmobi.native.common.showMsg("网络异常", "middle", 1500);
				}
			}
			rs_networkRequest(obj);
		}
		}else{
			//提示用户去绑定医疗卡号
			confirmDialog(TEXT_BIND_MEDICAL_CARD, function() {
				location.href = "./medical_hospital_card_bind.html";
			});
		}
		
	});

});