var biometryType = myJsInterface.supportBiometryType();
var isSupportTouchID = biometryType & 1;
var isSupportFaceID = biometryType & 2;
var touchidIsEnabled = topmobi.native.cache.getSharedValue('user', 'touchid') == 'true';
var faceidIsEnabled = topmobi.native.cache.getSharedValue('user', 'faceid') == 'true';
var touchidSwitch, faceidSwitch;
var $submenuGroup = $('#submenu-group');

if (isSupportTouchID) {
  touchidSwitch = new chui.widget.switch('#touchidSwitch', { checked: touchidIsEnabled }, 'ch_ui_switch touchidSwitch');
  touchidSwitch.setBackground('#37bbf4');
  touchidSwitch.change(function() {
    touchidIsEnabled = touchidSwitch.getChecked();
    showSubmenuGroupIfNeeded();
    topmobi.native.cache.putSharedValue('user', 'touchid', touchidIsEnabled);
  });
} else {
  $('#touchid').remove();
}

if (isSupportFaceID) {
  faceidSwitch = new chui.widget.switch('#faceidSwitch', { checked: faceidIsEnabled }, 'ch_ui_switch faceidSwitch');
  faceidSwitch.setBackground('#37bbf4');
  faceidSwitch.change(function() {
    faceidIsEnabled = faceidSwitch.getChecked();
    showSubmenuGroupIfNeeded();
    topmobi.native.cache.putSharedValue('user', 'faceid', faceidIsEnabled);
  });
} else {
  $('#faceid').remove();
}

showSubmenuGroupIfNeeded();

var quickLoginWithBiometry = topmobi.native.cache.getSharedValue('user', 'quickLoginWithBiometry') == 'true';
var quickLoginSwitch = new chui.widget.switch(
  '#quickLoginSwitch',
  { checked: quickLoginWithBiometry },
  'ch_ui_switch quickLoginSwitch'
);
quickLoginSwitch.setBackground('#37bbf4');
quickLoginSwitch.change(function() {
  topmobi.native.cache.putSharedValue('user', 'quickLoginWithBiometry', quickLoginSwitch.getChecked());
});

function showSubmenuGroupIfNeeded() {
  if (touchidIsEnabled || faceidIsEnabled) {
    $submenuGroup.show();
  } else {
    $submenuGroup.hide();
  }
}
