$(".examplePictureOne,.examplePictureTwo").css("background-size", $(".pictureFront").width() + "px 100px");
var filePath_front = "";
var filePath_opposite = "";
function choosePicture(photograph, isClipping, selector) {
	var callbacks = {
		success: function(data) {
			var path = data.result.photoName;
			path = path.replace("file://", "");
			$(selector).attr("src", path);
			if($(selector).hasClass("pictureFront")) {
				filePath_front = "";
				filePath_front = path;
				filePath_front = filePath_front.replace("file://", "");
				topmobi.native.cache.putSharedValue("newApply", "pictureFront", filePath_front);
			} else {
				filePath_opposite = "";
				filePath_opposite = path;
				filePath_opposite = filePath_opposite.replace("file://", "");
				topmobi.native.cache.putSharedValue("newApply", "pictureOpposite", filePath_opposite);
			}
			return false;
		},
		fail: function(data) {
			if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", 1500);
			}
			//			topmobi.native.common.showMsg("执行失败了！" + JSON.stringify(data));
		}
	};
	topmobi.native.media.choosePicture(photograph, isClipping, callbacks);
}

function toIdentifyPicture() {
	//调用汉王的身份证识别接口
	recgIdCard();
}
//身份验证
$(".submit_btn").click(function() {
	if(filePath_front != "" && filePath_opposite != "") {
		$(this).html("身份验证中...");
		toIdentifyPicture();
	} else {
		topmobi.native.common.showMsg("请添加完整图片信息", "middle", 1500);
	}
})

$(".pictureFront,.pictureOpposite").on("tap", function() {
	//先隐藏结果显示dom（页面非首次选择验证图片时）
	$(".correctPersonInfo").hide();
	$(".wrongInfo").hide();
	$(".next-btn").hide();
	$(".example").show();
	$(".submit_btn").show();
	$(".submit_btn").html("身份验证");
	var photoHtml = "<div class='mask'></div>";
	photoHtml += "<div class='popupWindow_head'>";
	photoHtml += "<div class='takePhoto'>拍照</div>";
	photoHtml += "<div class='albumSelect'>从相册里选择</div>";
	photoHtml += "<div class='cancel'>取消</div>";
	photoHtml += "</div>";
	$("body").append(photoHtml);
	var that = this;
	$(".takePhoto").on("click", function() {
		choosePicture(true, false, that);
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
	$(".albumSelect").on("click", function() {
		choosePicture(false, false, that);
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
	$(".cancel").on("click", function() {
		$(".mask").remove();
		$(".popupWindow_head").remove();
	});
})

/**
 * 调用汉王的接口，验证身份证信息
 */
function recgIdCard() {
	myJsInterface.verifyIdCard(filePath_front);
}
//{"code":"434","result":"haven't apply service or service has expired or no times left"}您没有申请相应的服务，或服务的次数已到临界值，或服务已到期
//""
function getRecgResult(result) {
	$(".submit_btn").hide();
	$(".example").hide();
	var json = result;
	if(result == "") {
		showWrongResult();
	}
	if(isAndroid && typeof(result) == "string") {
		json = JSON.parse(result);
	}
	if(json.code == "0") { //识别成功
		showCorrectResult(json);
	} else { //识别失败
		showWrongResult();
	}
}

function showCorrectResult(data) {
	checkIsApply(data);
}

function showWrongResult() {
	$(".correctPersonInfo").css("display", "none");
	$(".wrongInfo").css("display", "block");
	$(".wrongInfo").html("身份证识别失败！");
}

function nextStepListener() {
	$(".next-btn").show();
	$(".next-btn").off("tap");
	$(".next-btn").on("tap", function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.NewApplyforActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_home/newApplyfor.html"
			}
		}
		topmobi.native.common.openWindow(obj);
	})
}

function checkIsApply(personInfo) {
	var loginToken = topmobi.native.cache.getSharedValue("user", "loginToken");
	var dataJson = {
		"handler": "findInsuredStateHandler",
		"sub": {
			"identityNum": personInfo.idnumber,
		}
	};
	var obj = {
		url: newInsureUrl,
		data: dataJson,
		isEncrypt: true,
		success: function(data) {
			try {
				var result = data.result;
				$(".correctPersonInfo").css("display", "block");
				$(".wrongInfo").css("display", "none");
				$("#name").html(personInfo.name);
				$("#gender").html(personInfo.gender);
				$("#birth").html(personInfo.byear + "-" + personInfo.bmonth + "-" + personInfo.bday);
				$("#idCardNumber").html(personInfo.idnumber);
				topmobi.native.cache.putSharedValue("newApply", "idNumber", personInfo.idnumber);
				topmobi.native.cache.putSharedValue("newApply", "nickName", personInfo.name);
				switch(result.code) {
					case "1000":
						$("#personalNum").html(result.data.personalNum);
						var insuredState = "--";
						switch(result.data.insuredState) {
							case "0":
								insuredState = "未参保";
								nextStepListener();
								break;
							case "1":
								insuredState = "在职(无需再次申请)";
								break;
							case "2":
								insuredState = "退休(不能申请)";
								break;
							case "3":
								insuredState = "转出(不能申请)";
								break;
							case "4":
								insuredState = "终止(不能申请)";
								break;
							default:
								insuredState = "--";
								break;
						}
						$("#insuredState").html(insuredState);
						$(".insuredState_info").show();
						break;
					case "5000"://异常
					case "4000"://参数错误
						topmobi.native.common.showMsg("参数错误或异常,请重试", "middle", 1500);
						break;
					case "2007"://已申请过，等待社保大厅确认
						topmobi.native.common.showMsg("已申请,请等待社保大厅确认", "middle", 1500);
						break;
					case "4001"://未查询到申请记录
						nextStepListener();
						break;
				}
			} catch(e) {
				topmobi.native.common.log("lj", "错误：" + e.message);
			}
		},
		fail: function(data) {
			topmobi.native.common.showMsg("网络异常", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}