$().ready(function() {
	var idCardNumber;
	var personInfo; //根据身份证号查询到的个人基本信息
	var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息

	//记录下N倍的两个字段 保存坚持字段出错时提示要用
	var htmlAllPersonSalary = "全国城镇居民收入N倍";
	var htmlRetiredPaymentOrBasicSalaryN = "基本工资或退休费N倍";
	clearParams();

	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});

	//查政策
	$('.operationBar_policy').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/policyMenus.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "policyType", "swdy");
		topmobi.native.common.openWindow(obj);
	});

	//操作指南
	$('.operationBar_guide').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/operationGuidList.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "guideType", "swdy");
		topmobi.native.common.openWindow(obj);
	});

	//点击搜索按钮，根据身份证号码查询信息
	$('.search-btn').on('tap', function() {
		//验证身份证
		idCardNumber = $("#idCardNumber").val();
		if(!isNull(idCardNumber)) {
			if(isIdCardNo(idCardNumber)) {
				$("#idCardNumber").blur();
				getRelatedInfo();
			} else {
				topmobi.native.common.showMsg("身份证格式不对", "middle", toastTimeForSalary);
			}
		} else {
			topmobi.native.common.showMsg("输入不能为空", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 根据身份证号码获取人员基本信息
	 */
	function getRelatedInfo() {
		clearParams(); //先清空参数
		personInfo = {};
		var obj = {
			url: basicSalaryUrl + 'swdy/xxlr/' + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {

				try {
					if(!!data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						//信息回填
						personInfo = result;
						showRelatedInfo(result);
					} else {
						topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
					}

				} catch(e) {
					if(!!data.result.message) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.log("getRelatedInfo", "数据异常：" + e.message);
					topmobi.native.common.showMsg("人员基本信息数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getRelatedInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	function clearParams() {
		hasGetRelatedInfo = false;
		$("#name").html(""); //姓名
		$("#sex").html(""); //性别
		$("#dateTime").html(""); //出生年月
		$("#unit").html(""); //工作单位
		$("#personState").html(""); //人员状态
		$("#personIdentify").html(""); //人员身份

		$("#positionLevel").html(""); //享受待遇级别
		$("#isLeader").html(""); //是否享受领导级别待遇
		$("#salaryScale").html(""); //工资档次
		$("#salaryLevel").html(""); //工资等级
		$("#salaryStartDate").html(""); //工资开始时间
		$("#workStartDate").html(""); //参加工作时间
		$("#positionSalary").html(""); //岗位工资
		$("#levelSalary").html(""); //级别工资
		$("#basicSalary").html(""); //在职人员基本工资
		$("#disposableIncome").html(""); //上年全国城镇居民可支配收入
		$("#tenPercentsPromote").html(""); //教师、护士提高10%
		$("#retiredPayment").html(""); //基本离退休费
		$("#increaseAmounts").html(""); //国办发3号文件增加额
		$("#monthlyCost").html(""); //月领生活费总额

		$("#dieReason").html("--请选择--");
		$("#dieTime").html("--请选择--");
		$("#pension").html("");
		$("#allSalaryN").html("全国城镇居民收入N倍<span class='necessary'>*</span>");
		$("#retiredPaymentOrBasicSalaryNTitle").html("基本工资或退休费N倍<span class='necessary'>*</span>");
		$("#allPersonSalaryN").val("");
		$("#retiredPaymentOrBasicSalaryN").val("");
		$("#funeralExpense").val("");
		$("#salaryStopTime").html("--请选择--");
		$("#livingSubsidy").val("");
	}

	//信息回填
	function showRelatedInfo(result) {
		hasGetRelatedInfo = true;
		$("#dateTime").html(getShowTimeFormat(result.aac006)); //出生年月
		$("#name").html(result.aac003 || ""); //姓名
		$("#sex").html(getKeyWithValue("A0107", result.aac004)); //性别
		$("#personState").html(getKeyWithValue("AAC008", result.aac008)); //人员状态
		var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
		$("#unit").html(companyName || ""); //工作单位
		setPublicFunctionary(result.yac002);
		$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002)); //人员身份
		$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013)); //享受待遇级别
		$("#isLeader").html(getKeyWithValue("AAE100", result.yac081)); //是否享受领导级别待遇
		$("#salaryScale").html(result.yac080 || ""); //工资档次
		$("#salaryLevel").html(result.yac005 || ""); //工资等级
		$("#salaryStartDate").html(getShowTimeFormat(result.yac091)); //工资开始时间 在职人员才有此字段
		$("#workStartDate").html(getShowTimeFormat(result.aac007)); //参加工作时间
		$("#positionSalary").html(result.yac056 || ""); //岗位工资
		$("#levelSalary").html(result.yac057 || ""); //级别工资
		$("#basicSalary").html(result.aad011 || ""); //在职人员基本工资
		$("#disposableIncome").html(result.lastYearIncome || ""); //上年全国城镇居民可支配收入
		$("#tenPercentsPromote").html(getKeyWithValue("AAE100", result.yac190)); //教师、护士提高10%
		$("#retiredPayment").html(result.tac007 || ""); //基本离退休费
		$("#increaseAmounts").html(result.aac060 || ""); //国办发3号文件增加额
		$("#monthlyCost").html(result.aac062 || ""); //月领生活费总额
	}

	function checkHasGetRelatedInfo(isInput) {
		if(!hasGetRelatedInfo) {
			topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
			$("input").blur();
			return false;
		}
		if(!isInput) {
			$("input").blur();
		}
		return true;
	}

	/*
	 * 公务员或者参公 显示上年全国居民收入 否则不显示
	 */
	function setPublicFunctionary(personIdentify) {
		if(isPublicFunctionaryFuc(personIdentify)) {
			$("#disposableIncomeParent").show();
			$("#allPersonSalaryNParent").show();
			return;
		}
		$("#disposableIncomeParent").hide();
		$("#allPersonSalaryNParent").hide();
	}

	//根据人员身份判断是否是公务员或者参公
	function isPublicFunctionaryFuc(personIdentify) {
		if(!!personIdentify && personIdentify != "06" && personIdentify != "07" && personIdentify != "08") {
			return true;
		}
		return false;
	}

	/*
	 * 死亡原因
	 */
	var options = {
		data: FUN_prosecutorGrades,
		title: '请选择',
		duration: 300
	};
	$("#dieReason").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var actionSheet = new topmobi.widget.actionSheetDialog(options);
		actionSheet.setItemClick(function(index) {
			var indexInt = 0;
			if(!!index) {
				indexInt = parseInt(index);
			}
			educationBackgroundText = options.data[indexInt];
			$("#dieReason").html(educationBackgroundText);
			getPensionOneAndFuneralE(indexInt);
			actionSheet.remove();
		});
	});

	//根据死亡原因和是否事业单位人员计算基本工资或者退休费倍数
	function getPaymentOrBasicSalaryN(index, isPublicFunctionary) {
		switch(index) {
			case 0: //因病
				if(isPublicFunctionary) //非事业单位因病
				{
					return 40;
				} else //事业单位因病
				{
					return 20;
				}
			case 1: //烈士
			case 2: //因公牺牲
				return 40;
			case 3: //其他
				return 0;
		}
	}

	//根据死亡原因和是否事业单位人员计算全国城镇居民收入倍数
	function getAllPersonSalaryN(index, isPublicFunctionary) {
		switch(index) {
			case 0: //因病
				if(isPublicFunctionary) //非事业单位因病
				{
					return 2;
				} else //事业单位因病
				{
					return 0;
				}
			case 1: //烈士
			case 2: //因公牺牲
				if(isPublicFunctionary) //非事业单位烈士或因公牺牲
				{
					return 20;
				} else //事业单位烈士或因公牺牲
				{
					return 0;
				}
			case 3: //其他
				return 0;
		}
	}

	//根据死亡愿意计算一次性抚恤金和丧葬费
	//与上年城镇居民收入和基本工资（在职人员）或者离退休费（退休人员）有关
	function getPensionOneAndFuneralE(index) {
		var isPublicFunctionary = isPublicFunctionaryFuc(personInfo.yac002) //是否是非事业单位 true 是 false 不是

		//********************基本离退休费或者在职人员基本工资N倍
		var retiredPaymentOrBasicSalary = 0; //基本离退休费或者在职人员基本工资
		//人员状态 在职人员 人员基本工资不能为空
		if(personInfo.aac008 == "01" && !!personInfo.aad011) {
			retiredPaymentOrBasicSalary = parseFloat(personInfo.aad011);
		} else if(personInfo.aac008 == "04" && !!personInfo.tac007) {
			//人员状态 退休人员 退休人员基本费不能为空
			retiredPaymentOrBasicSalary = parseFloat(personInfo.tac007);
		}

		var htmlRetiredPaymentOrBasicSalary = "基本工资或退休费";
		if(personInfo.aac008 == "01") {
			htmlRetiredPaymentOrBasicSalary = "基本工资";
		} else if(personInfo.aac008 == "04") {
			htmlRetiredPaymentOrBasicSalary = "退休费";
		}

		var htmlRetiredPaymentOrBasicSalaryNValue = 0; //基本工资或退休费N倍值
		var paymentOrBasicSalaryNMulriple = getPaymentOrBasicSalaryN(index, isPublicFunctionary);
		if(paymentOrBasicSalaryNMulriple > 0) {
			htmlRetiredPaymentOrBasicSalaryNValue = paymentOrBasicSalaryNMulriple * retiredPaymentOrBasicSalary;
			htmlRetiredPaymentOrBasicSalaryN = htmlRetiredPaymentOrBasicSalary + paymentOrBasicSalaryNMulriple + "倍";
		} else {
			htmlRetiredPaymentOrBasicSalaryN = htmlRetiredPaymentOrBasicSalary + "N倍";
		}

		//************************非事业单位全国城镇居民收入N倍
		var disposableIncome = 0; //上年全国城镇居民可支配收入

		if(isPublicFunctionary && !!personInfo.lastYearIncome) {
			disposableIncome = parseFloat(personInfo.lastYearIncome);
		};

		var allPersonSalaryValue = 0; //全国城镇居民收入N倍值
		var allPersonSalaryNMulriple = getAllPersonSalaryN(index, isPublicFunctionary);
		if(allPersonSalaryNMulriple > 0) {
			htmlAllPersonSalary = "全国城镇居民收入" + allPersonSalaryNMulriple + "倍";
			allPersonSalaryValue = allPersonSalaryNMulriple * disposableIncome;
		} else {
			htmlAllPersonSalary = "全国城镇居民收入N倍";
		}

		//************************填充一次性抚恤金和两个倍数
		var htmlAllPersonSalaryStr = htmlAllPersonSalary + "<span class='necessary'>*</span>";
		$("#allSalaryN").html(htmlAllPersonSalaryStr);
		var htmlRetiredPaymentOrBasicSalaryNStr = htmlRetiredPaymentOrBasicSalaryN + "<span class='necessary'>*</span>";
		$("#retiredPaymentOrBasicSalaryNTitle").html(htmlRetiredPaymentOrBasicSalaryNStr);
		var pensionTwo = allPersonSalaryValue + htmlRetiredPaymentOrBasicSalaryNValue; //一次性抚恤金
		//		if(pensionTwo != 0) {
		$("#pension").html(pensionTwo || "");
		//		}
		//		if(allPersonSalary != 0) {
		$("#allPersonSalaryN").val(allPersonSalaryValue || "");
		//		}
		//		if(htmlRetiredPaymentOrBasicSalaryNValue != 0) {
		$("#retiredPaymentOrBasicSalaryN").val(htmlRetiredPaymentOrBasicSalaryNValue || "");
		//		}

		//************************填充丧葬费
		var funeralE = 0;
		if(index != 3) {
			funeralE = 10 * retiredPaymentOrBasicSalary;
		}
		//		if(funeralE != 0) {
		$("#funeralExpense").val(funeralE || "");
		//		}
	}

	/*
	 * 死亡时间
	 */
	$("#deathTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"));
	})

	/*
	 * 停发时间
	 */
	$("#stopTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "month", 2050);
	})

	//全国城镇居民收入N倍
	$("#allPersonSalaryN").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var allPersonSalaryNValue = $("#allPersonSalaryN").val();
		if(parseFloat(allPersonSalaryNValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的全国城镇居民收入倍数", "middle", toastTimeForSalary);
			$(this).val("1");
			calPensionAll();
			return;
		}
		if(parseFloat(allPersonSalaryNValue) > 10000000) {
			topmobi.native.common.showMsg("全国城镇居民收入倍数不能大于10000000", "middle", toastTimeForSalary);
			$(this).val("10000000");
			calPensionAll();
			return;
		}
		calPensionAll();
	})

	//基本工资或退休费N倍
	$("#retiredPaymentOrBasicSalaryN").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var retiredPaymentOrBasicSalaryNValue = $("#retiredPaymentOrBasicSalaryN").val();
		var htmlRetiredPaymentOrBasicSalaryStr = "基本工资或退休费";
		if(personInfo.aac008 == "01") {
			htmlRetiredPaymentOrBasicSalaryStr = "基本工资";
		} else if(personInfo.aac008 == "04") {
			htmlRetiredPaymentOrBasicSalaryStr = "退休费";
		}
		if(parseFloat(retiredPaymentOrBasicSalaryNValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的" + htmlRetiredPaymentOrBasicSalaryStr + "倍数", "middle", toastTimeForSalary);
			$(this).val("1");
			calPensionAll();
			return;
		}
		if(parseFloat(retiredPaymentOrBasicSalaryNValue) > 1000000) {
			topmobi.native.common.showMsg(htmlRetiredPaymentOrBasicSalaryStr + "倍数" + "不能大于1000000", "middle", toastTimeForSalary);
			$(this).val("1000000");
			calPensionAll();
			return;
		}
		calPensionAll();
	})

	//全国城镇居民收入倍数或者基本工资或退休费倍数变动重新计算一次性抚恤金
	function calPensionAll() {
		var allPersonSalaryStr = $("#allPersonSalaryN").val();
		var allPersonSalary = 0;
		if(!!allPersonSalaryStr) {
			allPersonSalary = parseFloat(allPersonSalaryStr);
		}

		var retiredPaymentOrBasicSalaryNStr = $("#retiredPaymentOrBasicSalaryN").val();
		var retiredPaymentOrBasicSalaryNValue = 0;
		if(!!retiredPaymentOrBasicSalaryNStr) {
			retiredPaymentOrBasicSalaryNValue = parseFloat(retiredPaymentOrBasicSalaryNStr);
		}
		$("#pension").html(allPersonSalary + retiredPaymentOrBasicSalaryNValue + "");
	}

	//丧葬费
	$("#funeralExpense").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var funeralExpenseValue = $("#funeralExpense").val();
		if(parseFloat(funeralExpenseValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的丧葬费", "middle", toastTimeForSalary);
			$(this).val("");
			return;
		}
		if(parseFloat(funeralExpenseValue) > 100000) {
			topmobi.native.common.showMsg("丧葬费不能大于100000", "middle", toastTimeForSalary);
			$(this).val("100000");
			return;
		}
	})

	//遗属生活补助
	$("#livingSubsidy").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var livingSubsidyValue = $("#livingSubsidy").val();
		if(parseFloat(livingSubsidyValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的遗属生活补助", "middle", toastTimeForSalary);
			$(this).val("");
			return;
		}
		if(parseFloat(livingSubsidyValue) > 100000) {
			topmobi.native.common.showMsg("遗属生活补助不能大于100000", "middle", toastTimeForSalary);
			$(this).val("100000");
			return;
		}
	})

	function checkChooseItem(itemText, message) {
		if(itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}

	$(".save_btn").on("tap", function() {
		saveData();
	})

	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}

	function getPensionAllErrToast() {
		var toastStr = htmlAllPersonSalary;

		var isPublicFunctionary = isPublicFunctionaryFuc(personInfo.yac002); //是否是公务员或者参公 true 是 false 不是
		if(isPublicFunctionary) {
			toastStr = htmlRetiredPaymentOrBasicSalaryN + "和" + toastStr;
		}
		return "请输入" + toastStr + "以计算一次性抚恤金";
	}

	function saveData() {
		var idCardNum = $("#idCardNumber").val();
		if(!checkChooseItem(idCardNum, "请输入身份证号码")) {
			return;
		}
		var vardieR = $("#dieReason").html();
		if(!checkChooseItem(vardieR, "请输入死亡原因")) {
			return;
		}
		var dieT = $("#dieTime").html();
		if(!checkChooseItem(dieT, "请输入死亡时间")) {
			return;
		}

		var retiredPaymentOrBasicSalaryNValue = $("#retiredPaymentOrBasicSalaryN").val();
		if(!checkChooseItem(retiredPaymentOrBasicSalaryNValue, "请输入" + htmlRetiredPaymentOrBasicSalaryN)) {
			return;
		}

		var allPersonSalary = $("#allPersonSalaryN").val();
		//公务员或者参公人员全国城镇居民收入倍数不能为空
		var isPublicFunctionary = isPublicFunctionaryFuc(personInfo.yac002) //是否是公务员或者参公人员 true 公务员或者参公人员 false 不是公务员或者参公人员
		if(isPublicFunctionary && !checkChooseItem(allPersonSalary, "公务员或者参公人员需填写" + htmlAllPersonSalary)) {
			return;
		}

		var pensionTwo = $("#pension").html();
		if(!checkChooseItem(pensionTwo, getPensionAllErrToast())) {
			return;
		}
		if(!!pensionTwo && parseFloat(pensionTwo) == 0) {
			topmobi.native.common.showMsg("一次性抚恤金不能为0", "middle", toastTimeForSalary);
			return;
		}

		var funeralE = $("#funeralExpense").val();
		if(!checkChooseItem(funeralE, "请输入丧葬费")) {
			return;
		}
		if(!!funeralE && parseFloat(funeralE) == 0) {
			topmobi.native.common.showMsg("丧葬费不能为0", "middle", toastTimeForSalary);
			return;
		}

		var salaryStopT = $("#salaryStopTime").html();
		if(!checkChooseItem(salaryStopT, "请输入养老金或工资停发时间")) {
			return;
		}

		var livingSub = $("#livingSubsidy").val(); //遗属生活补助 可为空
		
		var current = new Date().getTime();
		var currentTime = formatTimeStamp(current);
		if(compareTime(dieT, currentTime) > 0) {
			topmobi.native.common.showMsg("死亡时间不能大于当前日期", "middle", toastTimeForSalary);
			return;
		}
		if(compareTime(dieT, salaryStopT) > 0) {
			topmobi.native.common.showMsg("死亡时间需大于养老金或工资停发时间", "middle", toastTimeForSalary);
			return;
		}
		var personNo = personInfo.aac001 || "";
		if(!checkChooseItem(personNo, "个人信息未返回人员编号")) {
			return;
		}
		if(!personInfo.aac008) {
			topmobi.native.common.showMsg("个人信息未返回人员状态", "middle", toastTimeForSalary);
			return;
		}
		if(!personInfo.yac002) {
			topmobi.native.common.showMsg("个人信息未返回人员身份", "middle", toastTimeForSalary);
			return;
		}
		//人员状态 在职人员 人员基本工资不能为空
		if(personInfo.aac008 == "01" && !personInfo.aad011) {
			topmobi.native.common.showMsg("在职人员未返回在职人员基本工资", "middle", toastTimeForSalary);
			return;
		}
		//人员状态 退休人员 退休人员基本费不能为空
		if(personInfo.aac008 == "04" && !personInfo.tac007) {
			topmobi.native.common.showMsg("退休人员未返回退休人员基本费", "middle", toastTimeForSalary);
			return;
		}

		var dataJson = {
			"aac001": personNo, //个人编号 不能为空
			"aac002": idCardNum, //身份证号 不能为空
			"aad013": CODE.AAD013[vardieR], //死亡原因 不能为空
			"aad012": dieT, //死亡时间 不能为空
			"aac051": pensionTwo, //一次性抚恤金 不能为空
			"aac052": funeralE, //丧葬费 不能为空
			"bz": getUploadTimeFormat(salaryStopT), //养老金或工资停发时间 不能为空
			"aad014": allPersonSalary, //全国城镇居民收入N倍 公务员参公不能为空
			"aac053": livingSub, //遗属生活补助
			"aac008": personInfo.aac008 || "", //人员状态 不能为空
			"aad011": personInfo.aad011 || "", //在职人员基本工资 在职人员不能为空
			"tac007": personInfo.tac007 || "", // 退休人员基本费 退休人员不能为空
			"aac060": personInfo.aac060 || "", //国办发3号文件增加额
			"yac002": personInfo.yac002 || "", //人员身份 不能为空
		}
		var url = basicSalaryUrl + "swdy/bcswxx";
		var obj = {
			"url": url,
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(!!result.statusCode && result.statusCode == 201) {
						topmobi.native.common.showMsg("保存成功！", "middle", toastTimeForSalary);
						history.go(-1);
					} else {
						if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
							//保存失败，走这个分支，并将错误信息写入data.result.message
							topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
							return;
						}
						topmobi.native.common.showMsg("保存失败！", "middle", toastTimeForSalary);
					}
				} catch(e) {
					topmobi.native.common.log("saveData", "数据异常：" + e.message);
					topmobi.native.common.showMsg("保存失败！", "middle", toastTimeForSalary)
				}
			},
			fail: function(data) {
				topmobi.native.common.log("saveData", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		}
		rs_networkRequest(obj);
	}
})