// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

var editStudyinfoIndex = -1; //编辑学历简历的序列号
initInfo();

function initInfo() {
	var tempStudyInfo = topmobi.native.cache.getSharedValue("temp", "tempStudyInfo");
	if(!!tempStudyInfo) {
		tempStudyInfo = JSON.parse(tempStudyInfo);
	} else {
		return;
	}

	var temp = topmobi.native.cache.getSharedValue("temp", "editStudyinfoIndex");
	if(!!temp) {
		editStudyinfoIndex = parseInt(temp);
	}
	$("#academicText").html(getKeyWithValue("AAC011", tempStudyInfo.aac011_xl));
	$("#degreeText").html(getKeyWithValue("YAC023", tempStudyInfo.yac023));
	$("#educationalSystme").val(tempStudyInfo.yac018);
	$("#enrollmentTime").find(".itemRightText").html(getShowTimeFormat(tempStudyInfo.yac020));
	$("#graduateTime").find(".itemRightText").html(getShowTimeFormat(tempStudyInfo.yac021));
	$("#graduateType").html(getKeyWithValue("A3760", tempStudyInfo.yac022));

	if(!!tempStudyInfo.yac017) {
		$("#school").val(tempStudyInfo.yac017);
	}
	if(!!tempStudyInfo.yac019) {
		$("#major").val(tempStudyInfo.yac019);
	}
	if(!!tempStudyInfo.yac024) {
		$("#educationType").html(getKeyWithValue("YAC024", tempStudyInfo.yac024));
	}
	if(!!tempStudyInfo.yac025) {
		$("#planYear").val(tempStudyInfo.yac025);
	}
}

/*
 * 学历
 */
$("#academicText").parent().on('tap', function() {
	var options1 = {
		data: ARR_education,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options1);
	actionSheet.setItemClick(function(index) {
		$("#academicText").html(options1.data[index]);
		actionSheet.remove();
	});
});

/*
 * 学位
 */
$("#degreeText").parent().on('tap', function() {
	var options2 = {
		data: ARR_degree,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options2);
	actionSheet.setItemClick(function(index) {
		$("#degreeText").html(options2.data[index]);
		actionSheet.remove();
	});
});

/*
 * 入学时间
 */
$("#enrollmentTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})

/*
 * 毕业时间
 */
$("#graduateTime").on("tap", function() {
	showMonthTimePicker($(this).find(".itemRightText"));
})

/*
 * 毕业类型
 */
$("#graduateType").parent().on('tap', function() {
	var options3 = {
		data: ARR_graduatetype,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options3);
	actionSheet.setItemClick(function(index) {
		$("#graduateType").html(options3.data[index]);
		actionSheet.remove();
	});
});

/*
 * 教育类别
 */
$("#educationType").parent().on('tap', function() {
	var options4 = {
		data: ARR_educationType,
		title: '请选择',
		duration: 300
	};
	var actionSheet = new topmobi.widget.actionSheetDialog(options4);
	actionSheet.setItemClick(function(index) {
		$("#educationType").html(options4.data[index]);
		actionSheet.remove();
	});
});

/*
 * 检查信息
 */
function checkChooseItem(itemText, message) {
	if(itemText == "" || itemText == "--请选择--") {
		topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
		return false;
	}
	return true;
}

function checkChooseItemTwo(itemText) {
	if(isNull(itemText) || itemText == "" || itemText == "--请选择--") {
		return false;
	}
	return true;
}
var academicTextCopy = ""; //学历
var graduateTimeCopy = ""; //毕业时间
var graduateTypeCopy = ""; //毕业类型
//保存学习简历
$(".save_btn").on("tap", function() {
	//必填信息校验
	var academicText = $("#academicText").html();
	if(!checkChooseItem(academicText, "请选择学历")) {
		return;
	} else {
		academicTextCopy = academicText;
	}
	var degreeText = $("#degreeText").html();
	if(!checkChooseItem(degreeText, "请选择学位")) {
		return;
	}
	var educationalSystme = $("#educationalSystme").val();
	if(isNull(educationalSystme)) {
		topmobi.native.common.showMsg("学制（年）不能为空", "middle", toastTimeForSalary);
		return;
	}

	var enrollmentTime = $("#enrollmentTime").find(".itemRightText").html();
	if(!checkChooseItem(enrollmentTime, "请选择入学时间")) {
		return;
	}

	var graduateTime = $("#graduateTime").find(".itemRightText").html();
	if(!checkChooseItem(enrollmentTime, "请选择毕业时间")) {
		return;
	} else {
		graduateTimeCopy = graduateTime;
	}

	var current = new Date().getTime();
	var currentTime = formatTimeStamp(current);
	if(compareTime(enrollmentTime, currentTime) >= 0) {
		topmobi.native.common.showMsg("入学时间不能大于当前日期", "middle", toastTimeForSalary);
		return;
	}

	if(compareTime(graduateTime, currentTime) >= 0) {
		topmobi.native.common.showMsg("毕业时间不能大于当前日期", "middle", toastTimeForSalary);
		return;
	}
	if(compareTime(enrollmentTime, graduateTime) >= 0) {
		topmobi.native.common.showMsg("入学时间不能大于毕业时间", "middle", toastTimeForSalary);
		return;
	}

	var graduateType = $("#graduateType").html();
	if(!checkChooseItem(graduateType, "请输入毕业类型")) {
		return;
	} else {
		graduateTypeCopy = graduateType;
	}

	var saveData = topmobi.native.cache.getSharedValue("person", "personinfo");
	if(!!saveData) {
		saveData = JSON.parse(saveData);

	} else {
		topmobi.native.common.showMsg("基本信息缓存出错", "middle", toastTimeForSalary);
		return;
	}

	var idfNumberCopy = saveData.aac002; //人员身份证
	var personidfy = saveData.yac002; //人员身份
	var dataJson = {
		"aac002": idfNumberCopy, //身份证
		"yac002": personidfy, //人员身份
		"aac011_xl": CODE.AAC011[academicText], //学历
		"yac023": CODE.YAC023[degreeText], //学位
		"yac018": educationalSystme, //学制（年）
		"yac020": enrollmentTime, //入学时间
		"yac021": graduateTime, //毕业时间
		"yac022": CODE.A3760[graduateType], //毕业类型
	};

	//非必填信息
	var school = $("#school").val();
	if(checkChooseItemTwo(school) && !!school) {
		dataJson.yac017 = school; //学校
	}

	var major = $("#major").val();
	if(checkChooseItemTwo(major) && !!major) {
		dataJson.yac019 = major; //专业
	}
	var educationType = $("#educationType").html();
	if(checkChooseItemTwo(educationType) && !!educationType) {
		dataJson.yac024 = CODE.YAC024[educationType]; //教育类别
	}
	var planYear = $("#planYear").val();
	if(checkChooseItemTwo(planYear) && !!planYear) {
		dataJson.yac025 = planYear; //计入套改年限
	}
	topmobi.native.common.log("dataJson+++++", JSON.stringify(dataJson));
	//将简历所有信息保存到本地
	var listStudyData = [];
	var getAllStudyData = topmobi.native.cache.getSharedValue("person", "allstudyinfo");
	if(!!getAllStudyData) {
		listStudyData = JSON.parse(getAllStudyData);
	}

	if(editStudyinfoIndex != -1) {
		listStudyData[editStudyinfoIndex] = dataJson;
	} else {
		listStudyData.push(dataJson);
	}
	topmobi.native.cache.putSharedValue("person", "allstudyinfo", JSON.stringify(listStudyData));

	//保存部分简历信息
	var listData = [];
	var getData = topmobi.native.cache.getSharedValue("person", "study");
	if(!!getData) {
		listData = JSON.parse(getData);
	}
	var saveData = {
		"education": academicTextCopy, //学历
		"graduateTime": graduateTimeCopy, //毕业时间
		"graduateType": graduateTypeCopy //毕业类型
	}
	if(editStudyinfoIndex != -1) {
		listData[editStudyinfoIndex] = saveData;
	} else {
		listData.push(saveData);
	}
	topmobi.native.cache.putSharedValue("person", "study", JSON.stringify(listData));
	history.go(-1);
})
