// 返回
$(".back_icon").off("tap");
$('.back_icon').on('tap', function() {
	history.back();
});

var titleSuffix = "政策";
var pageNum = 1;
var pageSize = 10;
var muid = getQuery("muid");
var policyType = getQuery("policyType");
getTitleWithPolicyType();
var listData = [];
initList();

function initList() {
	mui.init({
		pullRefresh: {
			container: '#list_wrap',
			down: {
				callback: refreshList
			},
			up: {
				contentrefresh: "正在加载...",
				callback: loadMoreList
			}
		}
	});

	refreshList();
}

function refreshList() {
	pageNum = 1;
	requestList(function(data) {
		var list = data.list;
		listData = list;
		$(".list_view").html("");
		for(var i = 0; i < list.length; i++) {
			var itemHtml = list[i];
			var itemDom = template("template_list_item", itemHtml);
			$(".list_view").append(itemDom);
		}
		var hasNextPage = false;
		if(data.total > listData.length) {
			hasNextPage = true;
		}
		mui('#list_wrap').pullRefresh().endPulldownToRefresh();
		mui('#list_wrap').pullRefresh().refresh(true);
		mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
	});
}

function loadMoreList() {
	pageNum += 1;
	requestList(function(data) {
		var list = data.list;
		listData = listData.concat(list);
		for(var i = 0; i < list.length; i++) {
			var itemHtml = list[i];
			var itemDom = template("template_list_item", itemHtml);
			$(".list_view").append(itemDom);
		}
		var hasNextPage = false;
		if(data.total > listData.length) {
			hasNextPage = true;
		}
		mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
	});
}

function requestList(callback) {
	var startRow = (pageNum - 1) * pageSize + 1;
	var endRow = pageNum * pageSize;
	var url = basicSalaryUrl + policyType + '/zccx/title/' + startRow + "/" + endRow + "/" + muid;
	var obj = {
		url: url,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				if(typeof(callback) == "function") {
					var result = data.result;
					if(result && !!result.statusCode && result.statusCode == 200) {
						data.total = 0;
						var errMessage = "该类政策没任何内容";
						if(!!result.result) {
							var result = JSON.parse(result.result);
							if(result.length <= 0) {
								topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
							} else {
								for(var i = 0; i < result.length; i++) {
									var temp = result[i];
									temp.title = temp.aad002;
									temp.serialNumber = temp.aad001;
								}
								data.list = result;
								var header = data.header;
								if(!!header["X-Total"]) {
									data.total = header["X-Total"];
								}
							}
						} else {
							data.list = [];
							topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
						}
						callback(data);
					} else {
						mui('#list_wrap').pullRefresh().endPulldownToRefresh();
						mui('#list_wrap').pullRefresh().refresh(true);
						mui('#list_wrap').pullRefresh().endPullupToRefresh();
						topmobi.native.common.showMsg("获取政策列表失败，请重试", "middle", toastTimeForSalary);
					}
				}

			} catch(e) {
				mui('#list_wrap').pullRefresh().endPulldownToRefresh();
				mui('#list_wrap').pullRefresh().refresh(true);
				mui('#list_wrap').pullRefresh().endPullupToRefresh();
				topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			topmobi.native.common.log("requestList+++fail+++=" + JSON.stringify(data));
			mui('#list_wrap').pullRefresh().endPulldownToRefresh();
			mui('#list_wrap').pullRefresh().refresh(true);
			mui('#list_wrap').pullRefresh().endPullupToRefresh();
			if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}

$(".list_view").on("tap", ".listItem", function() {
	var serialNumber = $(this).data("serialnumber");
	if(!serialNumber) {
		topmobi.native.common.showMsg("该政策没返回流水号", "middle", toastTimeForSalary);
		return;
	}
	location.href = "policyDetail.html?serialNumber=" + serialNumber + "&policyType=" + policyType;
})