	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});
	
	var titleSuffix = "政策";
	var serialNumber = getQuery("serialNumber");
	var policyType = getQuery("policyType");
	getTitleWithPolicyType();
	var pageNum = 1;
	var pageSize = 10;
	var listData = [];
	initList();

	function initList() {
		mui.init({
			pullRefresh: {
				container: '#list_wrap',
				up: {
					contentrefresh: "正在加载...",
					callback: loadMoreList
				}
			}
		});
		getFirstPageContent();
	}

	function getFirstPageContent() {
		getPolicyContent(function(data) {
			var list = data.list;
			listData = list;
			for(var i = 0; i < list.length; i++) {
				var temp = list[0];
				if(i == 0) {
					$(".mui-content").removeClass("displaynone");
					$(".policy_title").html(temp.aad002); //政策文件标题
					$(".policy_number").html(temp.aad003); //政策文件文号
				}
				$(".policy_content").append(temp.aad004); //政策详细信息
			}
			var hasNextPage = false;
			if(data.total > listData.length) {
				hasNextPage = true;
			}
			if(data.total == 0) {
				$(".nodata").removeClass("displaynone");
			}
			mui('#list_wrap').pullRefresh().endPulldownToRefresh();
			mui('#list_wrap').pullRefresh().refresh(true);
			mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
		});
	}

	/**
	 * 新闻详细信息数据请求
	 * @param id，根据新闻的id请求对应的详情
	 */
	function loadMoreList() {
		pageNum += 1;
		getPolicyContent(function(data) {
			var list = data.list;
			listData = listData.concat(list);
			for(var i = 0; i < list.length; i++) {
				var temp = list[0];
				$(".policy_content").append(temp.aad004); //政策详细信息
			}
			var hasNextPage = false;
			if(data.total > listData.length) {
				hasNextPage = true;
			}
			if(data.total == 0) {
				$(".nodata").removeClass("displaynone");
			}
			mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
		});
	}

	function getPolicyContent(callback) {
		var startRow = (pageNum - 1) * pageSize + 1;
		var endRow = pageNum * pageSize;
		var url = basicSalaryUrl + policyType + '/zccx/policy/' + startRow + "/" + endRow + "/" + serialNumber;
		var obj = {
			url: url,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					var result = data.result;
					if(result && !!result.statusCode && result.statusCode == 200) {
						data.total = 0;
						var errMessage = "该政策没任何内容";
						if(!!result.result) {
							var result = JSON.parse(result.result);
							if(!!result) {
								if(result.length <= 0) {
									topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
								} else {
									data.list = result;
									var header = data.header;
									if(!!header["X-Total"]) {
										data.total = header["X-Total"];
									}
								}
							} else {
								topmobi.native.common.showMsg(errMessage, "middle", toastTimeForSalary);
							}
							callback(data);
						} else {
							mui('#list_wrap').pullRefresh().endPulldownToRefresh();
							mui('#list_wrap').pullRefresh().refresh(true);
							mui('#list_wrap').pullRefresh().endPullupToRefresh();
							if($(".mui-content").hasClass("displaynone")) {
								$(".nodata").removeClass("displaynone");
							}
							topmobi.native.common.showMsg("获取政策内容失败，请重试", "middle", toastTimeForSalary);
						}
					}

				} catch(e) {
					mui('#list_wrap').pullRefresh().endPulldownToRefresh();
					mui('#list_wrap').pullRefresh().refresh(true);
					mui('#list_wrap').pullRefresh().endPullupToRefresh();
					if($(".mui-content").hasClass("displaynone")) {
						$(".nodata").removeClass("displaynone");
					}
					topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				if($(".mui-content").hasClass("displaynone")) {
					$(".nodata").removeClass("displaynone");
				}
				topmobi.native.common.log("getPolicyContent+++fail+++=" + JSON.stringify(data));
				if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}