$().ready(function() {
	var idCardNumber;
	var hasGetRelatedInfo = false; //是否根据身份证号获取过人员基本信息
	var ARR_PensionProject = []; //津补贴项目
	clearParams();
	var personInfo; //根据身份证号查询到的个人基本信息

	var hasCompetentDepartment = topmobi.native.cache.getSharedValue("user", "hasCompetentDepartment"); //是否有主管部门

	// 返回
	$(".back_icon").off("tap");
	$('.back_icon').on('tap', function() {
		history.back();
	});

	//查政策
	$('.operationBar_policy').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.PolicyMenusActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/policyMenus.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "policyType", "tgjtbd");
		topmobi.native.common.openWindow(obj);
	});

	//操作指南
	$('.operationBar_guide').on('tap', function() {
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.OperationGuidListActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/operationGuidList.html"
			}
		}
		topmobi.native.cache.putSharedValue("temp", "guideType", "tgjtbd");
		topmobi.native.common.openWindow(obj);
	});

	//看流程
	$('.operationBar_process').on('tap', function() {
		if(personInfo.yac002 == "04") {
			topmobi.native.common.showMsg("机关工勤人员的特岗津贴没有审核流程", "middle", toastTimeForSalary);
			return; //机关工勤人员的特岗津贴没有审核流程
		}
		var obj = {
			action: {
				android: "gov.my.socialsecurity.htmlactivity.home.SalaryChangeProcessingActivity",
				ios: "CHBaseWebViewController"
			},
			windowType: 0,
			params: {
				info: "",
				html: "html_salary/salary_change_processing.html"
			}
		}
		var checkProcess = getCheckProcess(hasCompetentDepartment);
		var data = {
			"checkProcess": checkProcess,
			"stepType": 1,
			"processType": "tgjtbd",
			"checkStatus": 1
		}
		topmobi.native.cache.putSharedValue("temp", "checkProcessData", JSON.stringify(data));
		topmobi.native.common.openWindow(obj);
	});

	function clearParams() {
		hasGetRelatedInfo = false;
		ARR_PensionProject = [];
		personInfo = {};
		$("#name").html("");
		$("#unit").html("");
		$("#personIdentify").html("");
		$("#positionLevel").html("");

		$("#allowanceProject").html("--请选择--");
		$("#startTime").find(".itemRightText").html("--请选择--");
		$("#allowanceAmount").val("");
		$("#textaAreaRemark").val("");

		$(".performanceAllowance_existing_info").html("");
		$(".performanceAllowance_existing_info").hide();
	}

	/*
	 * 人员基本信息
	 */
	//点击搜索按钮，根据身份证号码查询信息
	$('.search-btn').on('tap', function() {
		//验证身份证
		idCardNumber = $("#idCardNumber").val();
		if(!isNull(idCardNumber)) {
			if(isIdCardNo(idCardNumber)) {
				$("#idCardNumber").blur();
				getRelatedInfo();
			} else {
				topmobi.native.common.showMsg("身份证号格式不对", "middle", toastTimeForSalary);
			}
		} else {
			topmobi.native.common.showMsg("身份证号不能为空", "middle", toastTimeForSalary);
		}
	});

	/*
	 * 根据身份证号码获取人员基本信息
	 */
	function getRelatedInfo() {
		clearParams(); //先清空参数
		personInfo = {};
		var obj = {
			url: basicSalaryUrl + 'tgjtbd/xxlr/' + idCardNumber,
			method: "get",
			isEncrypt: true,
			success: function(data) {
				try {
					if(!!data.result && !!data.result.statusCode && data.result.statusCode == 200) {
						var result = JSON.parse(data.result.result);
						//信息回填
						personInfo = result;
						$("#name").html(result.aac003 || "");
						var companyName = topmobi.native.cache.getSharedValue("user", "companyName");
						$("#unit").html(companyName || "");
						$("#personIdentify").html(getKeyWithValue("YAC002", result.yac002));
						$("#positionLevel").html(getKeyWithValue("YAC013", result.yac013));
						hasGetRelatedInfo = true;

						//现有特岗津贴项目
						var allowances = result.jbtlb;
						setAllowances(allowances);
					} else {
						topmobi.native.common.showMsg("获取人员基本信息失败", "middle", toastTimeForSalary);
					}
				} catch(e) {
					if(!!data.result.message) {
						//未查找到符合条件的数据也返回200，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.log("getRelatedInfo", "数据异常：" + e.message);
					topmobi.native.common.showMsg("人员基本信息数据异常", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("getRelatedInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		};
		rs_networkRequest(obj);
	}

	function checkHasGetRelatedInfo(isInput) {
		if(!hasGetRelatedInfo) {
			topmobi.native.common.showMsg("请先填写身份证号获取回填信息", "middle", toastTimeForSalary);
			$("input,textarea").blur();
			return false;
		}
		if(!isInput) {
			$("input,textarea").blur();
		}
		return true;
	}

	/*
	 * 特岗津贴变动信息
	 */
	/*
	 * 津补贴类别
	 */
	$("#allowanceType").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var options = {
			data: ARR_pensionType,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options);
		actionSheet.setItemClick(function(index) {
			$("#allowanceType").html(options.data[index]);
			switch (index){
				case 0:
					ARR_PensionProject = ARR_specialPosPension;
					break;
				case 1:
					ARR_PensionProject = ARR_otherStatePension;
					break;
				case 2:
					ARR_PensionProject = ARR_difficultAreaPension;
					break;
				default:
					break;
			}
			actionSheet.remove();
		});
	});

	/*
	 * 津补贴项目
	 */
	$("#allowanceProject").parent().on('tap', function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		var options = {
			data: ARR_PensionProject,
			title: '请选择',
			duration: 300
		};
		var actionSheet = new topmobi.widget.actionSheetDialog(options);
		actionSheet.setItemClick(function(index) {
			$("#allowanceProject").html(options.data[index]);
			actionSheet.remove();
		});
	});

	/*
	 * 开始时间
	 */
	$("#startTime").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}
		showMonthTimePicker($(this).find(".itemRightText"), "date", 2050);
	})

	/*
	 * 金额
	 */
	$("#allowanceAmount").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
		var allowanceAmountValue = $(this).val();
		if(parseFloat(allowanceAmountValue) <= 0) {
			topmobi.native.common.showMsg("请输入大于0的津贴金额", "middle", toastTimeForSalary);
			$(this).val("");
			return;
		}
		if(parseFloat(allowanceAmountValue) > 100000) {
			topmobi.native.common.showMsg("津贴金额不能大于100000", "middle", toastTimeForSalary);
			$(this).val("100000");
			return;
		}
	})

	/*
	 * 金额
	 */
	$("#allowanceAmount").on("blur", function() {
		var allowanceAmountValue = $("#allowanceAmount").val();
		if(parseFloat(allowanceAmountValue) > 0 && parseFloat(allowanceAmountValue) <= 100000) {
			$(this).val(parseFloat(allowanceAmountValue) + ".00");
		}
	})

	/*
	 * 备注
	 */
	$("#textaAreaRemark").on("input", function() {
		if(!checkHasGetRelatedInfo(true)) {
			$(this).val("");
			return;
		}
	})

	/*
	 * 保存信息
	 */
	function checkChooseItem(itemText, message) {
		if(itemText == "" || itemText == "--请选择--") {
			topmobi.native.common.showMsg(message, "middle", toastTimeForSalary);
			return false;
		}
		return true;
	}

	$(".save_btn").on("tap", function() {
		if(!checkHasGetRelatedInfo(false)) {
			return;
		}

		var personNo = personInfo.aac001 || ""; //个人编号
		if(!checkChooseItem(personNo, "个人信息未返回人员编号")) {
			return;
		}
		var personStatus = personInfo.aac008 || ""; //人员状态
		if(!checkChooseItem(personStatus, "个人信息未返回人员状态")) {
			return;
		}
		var personIdentify = personInfo.yac002 || ""; //人员身份
		if(!checkChooseItem(personIdentify, "个人信息未返回人员身份")) {
			return;
		}
		//必填信息校验
		var allowanceTypeValue = $("#allowanceType").html();
		if(!checkChooseItem(allowanceTypeValue, "请选择津补贴类别")) {
			return;
		}
		var allowanceProjectValue = $("#allowanceProject").html();
		if(!checkChooseItem(allowanceProjectValue, "请选择津补贴项目")) {
			return;
		}else {
			var index = ARR_PensionProject.indexOf(allowanceProjectValue);
			if(index < 0) {
				topmobi.native.common.showMsg("请重选津补贴类别对应的津补贴项目", "middle", toastTimeForSalary);
				return;
			}
		}
		var startTimeValue = $("#startTime").find(".itemRightText").html();
		if(!checkChooseItem(startTimeValue, "请选择开始时间")) {
			return;
		}
		var allowanceAmountValue = $("#allowanceAmount").val();
		if(!checkChooseItem(allowanceAmountValue, "请填写津贴金额")) {
			return;
		}
		var remarkValue = $("#textaAreaRemark").val();
		if(!checkChooseItem(remarkValue, "请填写备注信息")) {
			return;
		}
		var dataJson = {
			"aac001": personNo,
			"yac002": personIdentify,
			"aac008": personStatus,
			"aac002": idCardNumber,
			"yac085": CODE.YAC085[allowanceTypeValue], //津补贴类别
			"yac039": CODE.TGJT[allowanceProjectValue], //津补贴项目
			"aae030": startTimeValue, //开始时间
			"je": allowanceAmountValue, //金额
			"yac016": remarkValue //备注
		};
		//保存特岗津贴
		saveSpecialPostSalaryInfo(dataJson);
	})

	function saveSpecialPostSalaryInfo(dataJson) {
		var obj = {
			url: basicSalaryUrl + 'tgjtbd',
			data: dataJson,
			method: "post",
			isEncrypt: true,
			success: function(data) {
				var result = data.result;
				if(!!result.statusCode && result.statusCode == 201) {
					topmobi.native.common.showMsg(result.message, "middle", toastTimeForSalary);
					history.go(-1);
				} else {
					if(!!result.statusCode && result.statusCode == 200 && !!data.result.message) {
						//保存失败，走这个分支，并将错误信息写入data.result.message
						topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
						return;
					}
					topmobi.native.common.showMsg("保存失败", "middle", toastTimeForSalary);
				}
			},
			fail: function(data) {
				topmobi.native.common.log("saveRetiredInfo", "错误：" + JSON.stringify(data));
				if(!!data.result && !!data.result.message) {
					//平台出错将错误信息写入data.result.message
					topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
				} else if(!!data.msg) {
					topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
				} else {
					topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
				}
			}
		}
		rs_networkRequest(obj);
	}
})