var addNewHtml = "transfered_in_info_record.html";
var processType = "rydr";
var pageNum = 1;
var pageSize = 10;
var idCardNumber;
var listData = [];
initList();

//MARK 
function initList() {
	mui.init({
		pullRefresh: {
			container: '#list_wrap',
			down: {
				callback: refreshList
			},
			up: {
				contentrefresh: "正在加载...",
				callback: loadMoreList
			}
		}
	});

	refreshList();
}

function refreshList() {
	if(!!idCardNumber && !cardNumberIsValid()) {
		$(".list_view").html("");
		mui('#list_wrap').pullRefresh().endPulldownToRefresh();
		mui('#list_wrap').pullRefresh().refresh(true);
		mui('#list_wrap').pullRefresh().endPullupToRefresh(false);
		return;
	}
	pageNum = 1;
	requestList(function(data) {
		var list = data.list;
		listData = list;
		$(".list_view").html("");
		for(var i = 0; i < list.length; i++) {
			var orderItem = list[i];
			var orderItemDom = template("template_list_item", orderItem);
			$(".list_view").append(orderItemDom);
		}
		var hasNextPage = false;
		if(data.total > listData.length) {
			hasNextPage = true;
		}
		var errMessage = "未查询到符合条件的数据";
		if(listData.length == 0) {
			topmobi.native.common.showMsg(errMessage, "middle", 1500);
		}
		mui('#list_wrap').pullRefresh().endPulldownToRefresh();
		mui('#list_wrap').pullRefresh().refresh(true);
		mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
	});
}

function loadMoreList() {
	pageNum += 1;
	requestList(function(data) {
		var list = data.list;
		listData = listData.concat(list);
		for(var i = 0; i < list.length; i++) {
			var orderItem = list[i];
			var orderItemDom = template("template_list_item", orderItem);
			$(".list_view").append(orderItemDom);
		}
		var hasNextPage = false;
		if(data.total > listData.length) {
			hasNextPage = true;
		}
		mui('#list_wrap').pullRefresh().endPullupToRefresh(!hasNextPage);
	});
}

function requestList(callback) {
	var startRow = (pageNum - 1) * pageSize + 1;
	var endRow = pageNum * pageSize;
	var url = basicSalaryUrl + "drdc/rydr/getList/" + startRow + "/" + endRow;
	if(!!idCardNumber) {
		url = url + "/" + idCardNumber;
	} else {
		url = url + "/-e";
	}
	var obj = {
		url: url,
		method: "get",
		isEncrypt: true,
		success: function(data) {
			try {
				if(typeof(callback) == "function") {
					var result = data.result;
					if(result && !!result.statusCode && result.statusCode == 200) {
						data.total = 0;
						data.list = [];
						if(!!result.result) {
							var result = JSON.parse(result.result);
							if(result.length > 0) {
								for(var i = 0; i < result.length; i++) {
									var temp = result[i];
									temp.name = temp.aaz011 || "";
									temp.reportTime = getShowTimeFormat(temp.aae036); //申报时间
									temp.stepType = getProcessingState(temp.aae016_1, temp.aae016);
									temp.stepName = getCheckStatusText(temp.stepType, temp.aae016_1);
									temp.idCardNumber = temp.aac002 || "";
									temp.checkStatusClass = getCheckStatusClass(temp.stepName);
								}
								data.list = result;
								var header = data.header;
								if(!!header["X-Total"]) {
									data.total = header["X-Total"];
								}
							}
						}
						callback(data);
					} else {
						mui('#list_wrap').pullRefresh().endPulldownToRefresh();
						mui('#list_wrap').pullRefresh().refresh(true);
						mui('#list_wrap').pullRefresh().endPullupToRefresh();
						topmobi.native.common.showMsg("获取列表失败，请重试", "middle", toastTimeForSalary);
					}
				}

			} catch(e) {
				mui('#list_wrap').pullRefresh().endPulldownToRefresh();
				mui('#list_wrap').pullRefresh().refresh(true);
				mui('#list_wrap').pullRefresh().endPullupToRefresh();
				topmobi.native.common.log("requestList", "数据异常：" + e.message);
				topmobi.native.common.showMsg("数据异常", "middle", toastTimeForSalary);
			}
		},
		fail: function(data) {
			mui('#list_wrap').pullRefresh().endPulldownToRefresh();
			mui('#list_wrap').pullRefresh().refresh(true);
			mui('#list_wrap').pullRefresh().endPullupToRefresh();
			topmobi.native.common.log("requestList", "错误：" + JSON.stringify(data));
			if(!!data.result && !!data.result.message) {
				//平台出错将错误信息写入data.result.message
				topmobi.native.common.showMsg(data.result.message, "middle", toastTimeForSalary);
			} else if(!!data.msg) {
				topmobi.native.common.showMsg(data.msg, "middle", toastTimeForSalary);
			} else {
				topmobi.native.common.showMsg("网络异常，请检查网络", "middle", toastTimeForSalary);
			}
		}
	};
	rs_networkRequest(obj);
}

//通过是否有主管部门和人员身份获取审批流程
function getCheckProcess(hasCompetentDepartment, personIdentify) {
	var isOfficial = getIsOfficial(personIdentify);
	hasCompetentDepartment = parseInt(hasCompetentDepartment);
	if(hasCompetentDepartment) {
		return ["zgbm", "gzksh", "gzkfh"];
	} else {
		return ["gzksh", "gzkfh"];
	}
}