/*
 * 本文件显示所有企业列表
 */
var NUM_FIRST_REQ = 10; // 第一次请求的数量
var NUM_REQ = 10; // 上拉加载请求依次的数量
var TIMEOUT_REQ = 4000; // 请求延迟时间

var arrCompanyId = new Array(0); // 存储id信息
var reqCount = 0; // 记录请求次数
var adr="",enterpriseName="",coverimgurl="";
var userId = topmobi.native.cache.getSharedValue("user", "userId");
 
function noData(){
	$(".noData").css("display", "block");
}
$('.noData').on('tap', function() {
	window.location.reload();
}); 

// 列表控件
var listView;
var dataHtml = "";
var option = {
	'pullUpState': true,
	'pullDownState': true
};
//上拉加载 下拉刷新控件
var pullRefresh = new chui.widget.pullRefresh("#pRefresh", option);

//设置上拉加载事件
pullRefresh.pullUp(function() {
	requestMore();
});
//设置下拉刷新事件
pullRefresh.pullDown(function() {
	reqCount = 0;
    requestRefresh();
});

//首次请求
function firstGetCompanies(){	
	//请求数据
	var dataJson={
		"handler": "touristGetAllEnterpriseHandler",
		"sub": {
			"userId":userId,
	　　　	"start":0,
	　　　	"offset":NUM_FIRST_REQ
		}
	};
	var obj = {
		url: resumeTouristUrl,
		data: dataJson,
		success: function(data) {
			var result = data.result;
			if(result.code=="1000"){
				var arrData = new Array(0);
    			for(var i = 0; i < result.data.length; i++) {
       				// 数据处理
       				arrCompanyId.push(result.data[i].id); 
       				var item = {
                            id:result.data[i].id,
        					adr:result.data[i].adr,
        					enterpriseName: result.data[i].enterpriseName,
        					coverimgurl:result.data[i].coverimgurl,
                    };
        			arrData.push(item);
    			}
    			dataHtml = '<div id="listView" class="ch_ui_list list_wrapper">';
    			dataHtml += '<ul class="list"></ul>';
    			dataHtml += '</div>';
    			pullRefresh.addContent(dataHtml);
    			// 列表控件
    			listView = new ch.widget.CListView("#listView", arrData, "list-item", {pullToRefresh: true}, "ch_ui_list");
    			pullRefresh.refresh();
    			registerListener();
    			reqCount ++;

			}else if(result.code=="4000"){
				topmobi.native.common.showMsg("暂无结果!", "middle", 1500);
				noData();
			}
		},
		fail: function(data) {
			noData();
			topmobi.native.common.showMsg("网络异常！", "middle", 1500);
		}
	}
	rs_networkRequest(obj);
}
firstGetCompanies();

//上拉加载更多
function requestMore(){
	var dataJson = {
		"handler": "touristGetAllEnterpriseHandler",
		"sub": {
			"userId":userId,
　　　　　		"start": NUM_FIRST_REQ + NUM_REQ * (reqCount - 1),
            "offset": NUM_REQ
		}
	};
    var obj = {
        url: resumeTouristUrl,
        data: dataJson,
        success: function(data) {
            // 获取返回的结果
            var result = data.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrCompanyId.push(arrData[i].id);
                        var item = {
                            id:result.data[i].id,
        					area:result.data[i].adr,
        					enterpriseName: result.data[i].enterpriseName,
        					coverimgurl:result.data[i].coverimgurl,
                        };
                        listView.addItem(item);
                    }
                    reqCount ++;
                    registerListener();
                    break;
                case '4000':
                    topmobi.native.common.showMsg('无更多数据', 'bottom', 1500);
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}

//下拉刷新
function requestRefresh(){
	//请求数据
	var dataJson={
		"handler": "touristGetAllEnterpriseHandler",
		"sub": {
			"userId":userId,
	　　　	"start":0,
	　　　	"offset":NUM_FIRST_REQ
		}
	};
    var obj = {
        url: resumeTouristUrl,
        data: dataJson,
        success: function(success) {
            // 获取返回的结果
            var result = success.result;
            switch (result.code) {
                case '1000':
                    var arrData = result.data;
                    var arrDataOptimized = new Array(0);
                    // 清空新闻id数据
                    arrCompanyId = [];
                    // 数据优化处理
                    for (var i = 0; i < arrData.length; i ++) {
                        arrCompanyId.push(arrData[i].id);
                        var item = {
                            id:result.data[i].id,
        					area:result.data[i].adr,
        					enterpriseName: result.data[i].enterpriseName,
        					coverimgurl:result.data[i].coverimgurl,
                        };
                        arrDataOptimized.push(item);
                    }
                    listView.setData(arrDataOptimized);
                    listView.update();
                    reqCount ++;
                    registerListener();
                    break;
                case '4000':
                    noData();
                    break;
            }
            pullRefresh.refresh();
        },
        fail: function() {
            topmobi.native.common.showMsg('网络异常', 'middle', 1500);
            pullRefresh.refresh();
        }
    };
    rs_networkRequest(obj);
}

/*
 * 给列表添加点击事件
 */
function registerListener() {
    listView.onItemClick(function(index) {
    	topmobi.native.cache.putSharedValue('jobFind', 'jobId', arrCompanyId[index]);
		gotoCompanyDetail();
    });
}
//跳转到企业详情页面
function gotoCompanyDetail(){
	var obj = {
            action: {
                android: 'gov.my.socialsecurity.htmlactivity.talentCenter.CompanyDetailActivity',
                ios: 'CHBaseWebViewController'
            },
            windowType: 0,
            params: {
                'id': '',
                html:"html_talentCenter/companyDetail.html"
            }
    };
    topmobi.native.common.openWindow(obj);
}

//返回
$(".back_icon").on("tap", function() {
	topmobi.native.common.closeWindow(0);
})